
import sys
from typing import Any, Union, List
from pret.render import stub_component
from pret.marshal import js, make_stub_js_module, marshal_as

__version__ = "5.0.0-beta.52"
_py_package_name = "pret-joy"
_js_package_name = "@mui/joy"
_js_global_name = "JoyUI"

make_stub_js_module("JoyUI", "pret-joy", "@mui/joy", __version__, __name__)

if sys.version_info >= (3, 8):
    from typing import Literal
else:
    from typing_extensions import Literal

props_mapping = {
 "access_key": "accessKey",
 "accordion_id": "accordionId",
 "aria_activedescendant": "aria-activedescendant",
 "aria_atomic": "aria-atomic",
 "aria_autocomplete": "aria-autocomplete",
 "aria_braillelabel": "aria-braillelabel",
 "aria_brailleroledescription": "aria-brailleroledescription",
 "aria_busy": "aria-busy",
 "aria_checked": "aria-checked",
 "aria_colcount": "aria-colcount",
 "aria_colindex": "aria-colindex",
 "aria_colindextext": "aria-colindextext",
 "aria_colspan": "aria-colspan",
 "aria_controls": "aria-controls",
 "aria_current": "aria-current",
 "aria_describedby": "aria-describedby",
 "aria_description": "aria-description",
 "aria_details": "aria-details",
 "aria_disabled": "aria-disabled",
 "aria_errormessage": "aria-errormessage",
 "aria_expanded": "aria-expanded",
 "aria_flowto": "aria-flowto",
 "aria_haspopup": "aria-haspopup",
 "aria_hidden": "aria-hidden",
 "aria_invalid": "aria-invalid",
 "aria_keyshortcuts": "aria-keyshortcuts",
 "aria_label": "aria-label",
 "aria_labelledby": "aria-labelledby",
 "aria_level": "aria-level",
 "aria_live": "aria-live",
 "aria_modal": "aria-modal",
 "aria_multiline": "aria-multiline",
 "aria_multiselectable": "aria-multiselectable",
 "aria_orientation": "aria-orientation",
 "aria_owns": "aria-owns",
 "aria_placeholder": "aria-placeholder",
 "aria_posinset": "aria-posinset",
 "aria_pressed": "aria-pressed",
 "aria_readonly": "aria-readonly",
 "aria_relevant": "aria-relevant",
 "aria_required": "aria-required",
 "aria_roledescription": "aria-roledescription",
 "aria_rowcount": "aria-rowcount",
 "aria_rowindex": "aria-rowindex",
 "aria_rowindextext": "aria-rowindextext",
 "aria_rowspan": "aria-rowspan",
 "aria_selected": "aria-selected",
 "aria_setsize": "aria-setsize",
 "aria_sort": "aria-sort",
 "aria_valuemax": "aria-valuemax",
 "aria_valuemin": "aria-valuemin",
 "aria_valuenow": "aria-valuenow",
 "aria_valuetext": "aria-valuetext",
 "auto_capitalize": "autoCapitalize",
 "auto_correct": "autoCorrect",
 "auto_focus": "autoFocus",
 "auto_save": "autoSave",
 "class_name": "className",
 "content_editable": "contentEditable",
 "context_menu": "contextMenu",
 "dangerously_set_inner_html": "dangerouslySetInnerHTML",
 "default_checked": "defaultChecked",
 "default_expanded": "defaultExpanded",
 "default_value": "defaultValue",
 "enter_key_hint": "enterKeyHint",
 "input_mode": "inputMode",
 "is_": "is",
 "item_id": "itemID",
 "item_prop": "itemProp",
 "item_ref": "itemRef",
 "item_scope": "itemScope",
 "item_type": "itemType",
 "on_abort": "onAbort",
 "on_abort_capture": "onAbortCapture",
 "on_animation_end": "onAnimationEnd",
 "on_animation_end_capture": "onAnimationEndCapture",
 "on_animation_iteration": "onAnimationIteration",
 "on_animation_iteration_capture": "onAnimationIterationCapture",
 "on_animation_start": "onAnimationStart",
 "on_animation_start_capture": "onAnimationStartCapture",
 "on_aux_click": "onAuxClick",
 "on_aux_click_capture": "onAuxClickCapture",
 "on_before_input": "onBeforeInput",
 "on_before_input_capture": "onBeforeInputCapture",
 "on_blur": "onBlur",
 "on_blur_capture": "onBlurCapture",
 "on_can_play": "onCanPlay",
 "on_can_play_capture": "onCanPlayCapture",
 "on_can_play_through": "onCanPlayThrough",
 "on_can_play_through_capture": "onCanPlayThroughCapture",
 "on_change": "onChange",
 "on_change_capture": "onChangeCapture",
 "on_click": "onClick",
 "on_click_capture": "onClickCapture",
 "on_composition_end": "onCompositionEnd",
 "on_composition_end_capture": "onCompositionEndCapture",
 "on_composition_start": "onCompositionStart",
 "on_composition_start_capture": "onCompositionStartCapture",
 "on_composition_update": "onCompositionUpdate",
 "on_composition_update_capture": "onCompositionUpdateCapture",
 "on_context_menu": "onContextMenu",
 "on_context_menu_capture": "onContextMenuCapture",
 "on_copy": "onCopy",
 "on_copy_capture": "onCopyCapture",
 "on_cut": "onCut",
 "on_cut_capture": "onCutCapture",
 "on_double_click": "onDoubleClick",
 "on_double_click_capture": "onDoubleClickCapture",
 "on_drag": "onDrag",
 "on_drag_capture": "onDragCapture",
 "on_drag_end": "onDragEnd",
 "on_drag_end_capture": "onDragEndCapture",
 "on_drag_enter": "onDragEnter",
 "on_drag_enter_capture": "onDragEnterCapture",
 "on_drag_exit": "onDragExit",
 "on_drag_exit_capture": "onDragExitCapture",
 "on_drag_leave": "onDragLeave",
 "on_drag_leave_capture": "onDragLeaveCapture",
 "on_drag_over": "onDragOver",
 "on_drag_over_capture": "onDragOverCapture",
 "on_drag_start": "onDragStart",
 "on_drag_start_capture": "onDragStartCapture",
 "on_drop": "onDrop",
 "on_drop_capture": "onDropCapture",
 "on_duration_change": "onDurationChange",
 "on_duration_change_capture": "onDurationChangeCapture",
 "on_emptied": "onEmptied",
 "on_emptied_capture": "onEmptiedCapture",
 "on_encrypted": "onEncrypted",
 "on_encrypted_capture": "onEncryptedCapture",
 "on_ended": "onEnded",
 "on_ended_capture": "onEndedCapture",
 "on_error": "onError",
 "on_error_capture": "onErrorCapture",
 "on_focus": "onFocus",
 "on_focus_capture": "onFocusCapture",
 "on_got_pointer_capture": "onGotPointerCapture",
 "on_got_pointer_capture_capture": "onGotPointerCaptureCapture",
 "on_input": "onInput",
 "on_input_capture": "onInputCapture",
 "on_invalid": "onInvalid",
 "on_invalid_capture": "onInvalidCapture",
 "on_key_down": "onKeyDown",
 "on_key_down_capture": "onKeyDownCapture",
 "on_key_up": "onKeyUp",
 "on_key_up_capture": "onKeyUpCapture",
 "on_load": "onLoad",
 "on_load_capture": "onLoadCapture",
 "on_loaded_data": "onLoadedData",
 "on_loaded_data_capture": "onLoadedDataCapture",
 "on_loaded_metadata": "onLoadedMetadata",
 "on_loaded_metadata_capture": "onLoadedMetadataCapture",
 "on_load_start": "onLoadStart",
 "on_load_start_capture": "onLoadStartCapture",
 "on_lost_pointer_capture": "onLostPointerCapture",
 "on_lost_pointer_capture_capture": "onLostPointerCaptureCapture",
 "on_mouse_down": "onMouseDown",
 "on_mouse_down_capture": "onMouseDownCapture",
 "on_mouse_enter": "onMouseEnter",
 "on_mouse_leave": "onMouseLeave",
 "on_mouse_move": "onMouseMove",
 "on_mouse_move_capture": "onMouseMoveCapture",
 "on_mouse_out": "onMouseOut",
 "on_mouse_out_capture": "onMouseOutCapture",
 "on_mouse_over": "onMouseOver",
 "on_mouse_over_capture": "onMouseOverCapture",
 "on_mouse_up": "onMouseUp",
 "on_mouse_up_capture": "onMouseUpCapture",
 "on_paste": "onPaste",
 "on_paste_capture": "onPasteCapture",
 "on_pause": "onPause",
 "on_pause_capture": "onPauseCapture",
 "on_play": "onPlay",
 "on_play_capture": "onPlayCapture",
 "on_playing": "onPlaying",
 "on_playing_capture": "onPlayingCapture",
 "on_pointer_cancel": "onPointerCancel",
 "on_pointer_cancel_capture": "onPointerCancelCapture",
 "on_pointer_down": "onPointerDown",
 "on_pointer_down_capture": "onPointerDownCapture",
 "on_pointer_enter": "onPointerEnter",
 "on_pointer_leave": "onPointerLeave",
 "on_pointer_move": "onPointerMove",
 "on_pointer_move_capture": "onPointerMoveCapture",
 "on_pointer_out": "onPointerOut",
 "on_pointer_out_capture": "onPointerOutCapture",
 "on_pointer_over": "onPointerOver",
 "on_pointer_over_capture": "onPointerOverCapture",
 "on_pointer_up": "onPointerUp",
 "on_pointer_up_capture": "onPointerUpCapture",
 "on_progress": "onProgress",
 "on_progress_capture": "onProgressCapture",
 "on_rate_change": "onRateChange",
 "on_rate_change_capture": "onRateChangeCapture",
 "on_reset": "onReset",
 "on_reset_capture": "onResetCapture",
 "on_resize": "onResize",
 "on_resize_capture": "onResizeCapture",
 "on_scroll": "onScroll",
 "on_scroll_capture": "onScrollCapture",
 "on_seeked": "onSeeked",
 "on_seeked_capture": "onSeekedCapture",
 "on_seeking": "onSeeking",
 "on_seeking_capture": "onSeekingCapture",
 "on_select": "onSelect",
 "on_select_capture": "onSelectCapture",
 "on_stalled": "onStalled",
 "on_stalled_capture": "onStalledCapture",
 "on_submit": "onSubmit",
 "on_submit_capture": "onSubmitCapture",
 "on_suspend": "onSuspend",
 "on_suspend_capture": "onSuspendCapture",
 "on_time_update": "onTimeUpdate",
 "on_time_update_capture": "onTimeUpdateCapture",
 "on_touch_cancel": "onTouchCancel",
 "on_touch_cancel_capture": "onTouchCancelCapture",
 "on_touch_end": "onTouchEnd",
 "on_touch_end_capture": "onTouchEndCapture",
 "on_touch_move": "onTouchMove",
 "on_touch_move_capture": "onTouchMoveCapture",
 "on_touch_start": "onTouchStart",
 "on_touch_start_capture": "onTouchStartCapture",
 "on_transition_end": "onTransitionEnd",
 "on_transition_end_capture": "onTransitionEndCapture",
 "on_volume_change": "onVolumeChange",
 "on_volume_change_capture": "onVolumeChangeCapture",
 "on_waiting": "onWaiting",
 "on_waiting_capture": "onWaitingCapture",
 "on_wheel": "onWheel",
 "on_wheel_capture": "onWheelCapture",
 "radio_group": "radioGroup",
 "slot_props": "slotProps",
 "spell_check": "spellCheck",
 "suppress_content_editable_warning": "suppressContentEditableWarning",
 "suppress_hydration_warning": "suppressHydrationWarning",
 "tab_index": "tabIndex",
 "aria_dropeffect": "aria-dropeffect",
 "aria_grabbed": "aria-grabbed",
 "on_key_press": "onKeyPress",
 "on_key_press_capture": "onKeyPressCapture",
 "disable_divider": "disableDivider",
 "end_decorator": "endDecorator",
 "inverted_colors": "invertedColors",
 "start_decorator": "startDecorator",
 "max_height": "maxHeight",
 "min_height": "minHeight",
 "object_fit": "objectFit",
 "auto_complete": "autoComplete",
 "auto_highlight": "autoHighlight",
 "auto_select": "autoSelect",
 "blur_on_select": "blurOnSelect",
 "clear_icon": "clearIcon",
 "clear_on_blur": "clearOnBlur",
 "clear_on_escape": "clearOnEscape",
 "clear_text": "clearText",
 "close_text": "closeText",
 "component_name": "componentName",
 "disable_clearable": "disableClearable",
 "disable_close_on_select": "disableCloseOnSelect",
 "disabled_items_focusable": "disabledItemsFocusable",
 "disable_list_wrap": "disableListWrap",
 "filter_options": "filterOptions",
 "filter_selected_options": "filterSelectedOptions",
 "force_popup_icon": "forcePopupIcon",
 "free_solo": "freeSolo",
 "get_limit_tags_text": "getLimitTagsText",
 "get_option_disabled": "getOptionDisabled",
 "get_option_key": "getOptionKey",
 "get_option_label": "getOptionLabel",
 "group_by": "groupBy",
 "handle_home_end_keys": "handleHomeEndKeys",
 "include_input_in_list": "includeInputInList",
 "input_value": "inputValue",
 "is_option_equal_to_value": "isOptionEqualToValue",
 "limit_tags": "limitTags",
 "loading_text": "loadingText",
 "no_options_text": "noOptionsText",
 "on_close": "onClose",
 "on_highlight_change": "onHighlightChange",
 "on_input_change": "onInputChange",
 "on_open": "onOpen",
 "open_on_focus": "openOnFocus",
 "open_text": "openText",
 "popup_icon": "popupIcon",
 "read_only": "readOnly",
 "render_group": "renderGroup",
 "render_option": "renderOption",
 "render_tags": "renderTags",
 "select_on_focus": "selectOnFocus",
 "unstable_class_name_prefix": "unstable_classNamePrefix",
 "unstable_is_active_element_in_listbox": "unstable_isActiveElementInListbox",
 "src_set": "srcSet",
 "anchor_origin": "anchorOrigin",
 "badge_content": "badgeContent",
 "badge_inset": "badgeInset",
 "show_zero": "showZero",
 "align_content": "alignContent",
 "align_items": "alignItems",
 "align_self": "alignSelf",
 "border_bottom": "borderBottom",
 "border_color": "borderColor",
 "border_left": "borderLeft",
 "border_radius": "borderRadius",
 "border_right": "borderRight",
 "border_top": "borderTop",
 "box_shadow": "boxShadow",
 "box_sizing": "boxSizing",
 "column_gap": "columnGap",
 "display_print": "displayPrint",
 "flex_basis": "flexBasis",
 "flex_direction": "flexDirection",
 "flex_grow": "flexGrow",
 "flex_shrink": "flexShrink",
 "flex_wrap": "flexWrap",
 "font_family": "fontFamily",
 "font_size": "fontSize",
 "font_style": "fontStyle",
 "font_weight": "fontWeight",
 "grid_area": "gridArea",
 "grid_auto_columns": "gridAutoColumns",
 "grid_auto_flow": "gridAutoFlow",
 "grid_auto_rows": "gridAutoRows",
 "grid_column": "gridColumn",
 "grid_row": "gridRow",
 "grid_template_areas": "gridTemplateAreas",
 "grid_template_columns": "gridTemplateColumns",
 "grid_template_rows": "gridTemplateRows",
 "justify_content": "justifyContent",
 "justify_items": "justifyItems",
 "justify_self": "justifySelf",
 "letter_spacing": "letterSpacing",
 "line_height": "lineHeight",
 "margin_block": "marginBlock",
 "margin_block_end": "marginBlockEnd",
 "margin_block_start": "marginBlockStart",
 "margin_bottom": "marginBottom",
 "margin_inline": "marginInline",
 "margin_inline_end": "marginInlineEnd",
 "margin_inline_start": "marginInlineStart",
 "margin_left": "marginLeft",
 "margin_right": "marginRight",
 "margin_top": "marginTop",
 "margin_x": "marginX",
 "margin_y": "marginY",
 "max_width": "maxWidth",
 "min_width": "minWidth",
 "padding_block": "paddingBlock",
 "padding_block_end": "paddingBlockEnd",
 "padding_block_start": "paddingBlockStart",
 "padding_bottom": "paddingBottom",
 "padding_inline": "paddingInline",
 "padding_inline_end": "paddingInlineEnd",
 "padding_inline_start": "paddingInlineStart",
 "padding_left": "paddingLeft",
 "padding_right": "paddingRight",
 "padding_top": "paddingTop",
 "padding_x": "paddingX",
 "padding_y": "paddingY",
 "row_gap": "rowGap",
 "text_align": "textAlign",
 "text_overflow": "textOverflow",
 "text_transform": "textTransform",
 "white_space": "whiteSpace",
 "z_index": "zIndex",
 "focus_visible_class_name": "focusVisibleClassName",
 "full_width": "fullWidth",
 "href_lang": "hrefLang",
 "loading_indicator": "loadingIndicator",
 "loading_position": "loadingPosition",
 "referrer_policy": "referrerPolicy",
 "button_flex": "buttonFlex",
 "checked_icon": "checkedIcon",
 "disable_icon": "disableIcon",
 "indeterminate_icon": "indeterminateIcon",
 "on_focus_visible": "onFocusVisible",
 "unchecked_icon": "uncheckedIcon",
 "form_action": "formAction",
 "form_enc_type": "formEncType",
 "form_method": "formMethod",
 "form_no_validate": "formNoValidate",
 "form_target": "formTarget",
 "on_delete": "onDelete",
 "disable_gutters": "disableGutters",
 "disable_color_scheme": "disableColorScheme",
 "color_scheme_node": "colorSchemeNode",
 "color_scheme_selector": "colorSchemeSelector",
 "color_scheme_storage_key": "colorSchemeStorageKey",
 "default_color_scheme": "defaultColorScheme",
 "default_mode": "defaultMode",
 "disable_nested_context": "disableNestedContext",
 "disable_style_sheet_generation": "disableStyleSheetGeneration",
 "disable_transition_on_change": "disableTransitionOnChange",
 "document_node": "documentNode",
 "mode_storage_key": "modeStorageKey",
 "storage_window": "storageWindow",
 "disable_auto_focus": "disableAutoFocus",
 "disable_enforce_focus": "disableEnforceFocus",
 "disable_escape_key_down": "disableEscapeKeyDown",
 "disable_portal": "disablePortal",
 "disable_restore_focus": "disableRestoreFocus",
 "disable_scroll_lock": "disableScrollLock",
 "hide_backdrop": "hideBackdrop",
 "default_open": "defaultOpen",
 "on_open_change": "onOpenChange",
 "html_for": "htmlFor",
 "default_theme": "defaultTheme",
 "theme_id": "themeId",
 "column_spacing": "columnSpacing",
 "disable_equal_overflow": "disableEqualOverflow",
 "lg_offset": "lgOffset",
 "md_offset": "mdOffset",
 "row_spacing": "rowSpacing",
 "sm_offset": "smOffset",
 "xl_offset": "xlOffset",
 "xs_offset": "xsOffset",
 "text_color": "textColor",
 "end_action": "endAction",
 "start_action": "startAction",
 "anchor_el": "anchorEl",
 "keep_mounted": "keepMounted",
 "on_items_change": "onItemsChange",
 "popper_options": "popperOptions",
 "popper_ref": "popperRef",
 "default_listbox_open": "defaultListboxOpen",
 "get_serialized_value": "getSerializedValue",
 "listbox_id": "listboxId",
 "listbox_open": "listboxOpen",
 "on_listbox_open_change": "onListboxOpenChange",
 "render_value": "renderValue",
 "disable_swap": "disableSwap",
 "get_aria_label": "getAriaLabel",
 "get_aria_value_text": "getAriaValueText",
 "is_rtl": "isRtl",
 "on_change_committed": "onChangeCommitted",
 "root_ref": "rootRef",
 "shift_step": "shiftStep",
 "value_label_display": "valueLabelDisplay",
 "value_label_format": "valueLabelFormat",
 "animation_duration": "animationDuration",
 "auto_hide_duration": "autoHideDuration",
 "disable_window_blur_listener": "disableWindowBlurListener",
 "on_unmount": "onUnmount",
 "resume_hide_duration": "resumeHideDuration",
 "use_flex_gap": "useFlexGap",
 "inject_first": "injectFirst",
 "accent_height": "accentHeight",
 "alignment_baseline": "alignmentBaseline",
 "allow_reorder": "allowReorder",
 "arabic_form": "arabicForm",
 "attribute_name": "attributeName",
 "attribute_type": "attributeType",
 "auto_reverse": "autoReverse",
 "base_frequency": "baseFrequency",
 "baseline_shift": "baselineShift",
 "base_profile": "baseProfile",
 "calc_mode": "calcMode",
 "cap_height": "capHeight",
 "clip_path": "clipPath",
 "clip_path_units": "clipPathUnits",
 "clip_rule": "clipRule",
 "color_interpolation": "colorInterpolation",
 "color_interpolation_filters": "colorInterpolationFilters",
 "color_profile": "colorProfile",
 "color_rendering": "colorRendering",
 "content_script_type": "contentScriptType",
 "content_style_type": "contentStyleType",
 "cross_origin": "crossOrigin",
 "diffuse_constant": "diffuseConstant",
 "dominant_baseline": "dominantBaseline",
 "edge_mode": "edgeMode",
 "enable_background": "enableBackground",
 "external_resources_required": "externalResourcesRequired",
 "fill_opacity": "fillOpacity",
 "fill_rule": "fillRule",
 "filter_res": "filterRes",
 "filter_units": "filterUnits",
 "flood_color": "floodColor",
 "flood_opacity": "floodOpacity",
 "font_size_adjust": "fontSizeAdjust",
 "font_stretch": "fontStretch",
 "font_variant": "fontVariant",
 "from_": "from",
 "glyph_name": "glyphName",
 "glyph_orientation_horizontal": "glyphOrientationHorizontal",
 "glyph_orientation_vertical": "glyphOrientationVertical",
 "glyph_ref": "glyphRef",
 "gradient_transform": "gradientTransform",
 "gradient_units": "gradientUnits",
 "horiz_adv_x": "horizAdvX",
 "horiz_origin_x": "horizOriginX",
 "html_color": "htmlColor",
 "image_rendering": "imageRendering",
 "in_": "in",
 "inherit_view_box": "inheritViewBox",
 "kernel_matrix": "kernelMatrix",
 "kernel_unit_length": "kernelUnitLength",
 "key_points": "keyPoints",
 "key_splines": "keySplines",
 "key_times": "keyTimes",
 "length_adjust": "lengthAdjust",
 "lighting_color": "lightingColor",
 "limiting_cone_angle": "limitingConeAngle",
 "marker_end": "markerEnd",
 "marker_height": "markerHeight",
 "marker_mid": "markerMid",
 "marker_start": "markerStart",
 "marker_units": "markerUnits",
 "marker_width": "markerWidth",
 "mask_content_units": "maskContentUnits",
 "mask_units": "maskUnits",
 "num_octaves": "numOctaves",
 "overline_position": "overlinePosition",
 "overline_thickness": "overlineThickness",
 "paint_order": "paintOrder",
 "path_length": "pathLength",
 "pattern_content_units": "patternContentUnits",
 "pattern_transform": "patternTransform",
 "pattern_units": "patternUnits",
 "pointer_events": "pointerEvents",
 "points_at_x": "pointsAtX",
 "points_at_y": "pointsAtY",
 "points_at_z": "pointsAtZ",
 "preserve_alpha": "preserveAlpha",
 "preserve_aspect_ratio": "preserveAspectRatio",
 "primitive_units": "primitiveUnits",
 "ref_x": "refX",
 "ref_y": "refY",
 "rendering_intent": "renderingIntent",
 "repeat_count": "repeatCount",
 "repeat_dur": "repeatDur",
 "required_extensions": "requiredExtensions",
 "required_features": "requiredFeatures",
 "shape_rendering": "shapeRendering",
 "specular_constant": "specularConstant",
 "specular_exponent": "specularExponent",
 "spread_method": "spreadMethod",
 "start_offset": "startOffset",
 "std_deviation": "stdDeviation",
 "stitch_tiles": "stitchTiles",
 "stop_color": "stopColor",
 "stop_opacity": "stopOpacity",
 "strikethrough_position": "strikethroughPosition",
 "strikethrough_thickness": "strikethroughThickness",
 "stroke_dasharray": "strokeDasharray",
 "stroke_dashoffset": "strokeDashoffset",
 "stroke_linecap": "strokeLinecap",
 "stroke_linejoin": "strokeLinejoin",
 "stroke_miterlimit": "strokeMiterlimit",
 "stroke_opacity": "strokeOpacity",
 "stroke_width": "strokeWidth",
 "surface_scale": "surfaceScale",
 "system_language": "systemLanguage",
 "table_values": "tableValues",
 "target_x": "targetX",
 "target_y": "targetY",
 "text_anchor": "textAnchor",
 "text_decoration": "textDecoration",
 "text_length": "textLength",
 "text_rendering": "textRendering",
 "title_access": "titleAccess",
 "underline_position": "underlinePosition",
 "underline_thickness": "underlineThickness",
 "unicode_bidi": "unicodeBidi",
 "unicode_range": "unicodeRange",
 "units_per_em": "unitsPerEm",
 "v_alphabetic": "vAlphabetic",
 "vector_effect": "vectorEffect",
 "vert_adv_y": "vertAdvY",
 "vert_origin_x": "vertOriginX",
 "vert_origin_y": "vertOriginY",
 "v_hanging": "vHanging",
 "v_ideographic": "vIdeographic",
 "view_box": "viewBox",
 "view_target": "viewTarget",
 "v_mathematical": "vMathematical",
 "word_spacing": "wordSpacing",
 "writing_mode": "writingMode",
 "x_channel_selector": "xChannelSelector",
 "x_height": "xHeight",
 "xlink_actuate": "xlinkActuate",
 "xlink_arcrole": "xlinkArcrole",
 "xlink_href": "xlinkHref",
 "xlink_role": "xlinkRole",
 "xlink_show": "xlinkShow",
 "xlink_title": "xlinkTitle",
 "xlink_type": "xlinkType",
 "xml_base": "xmlBase",
 "xml_lang": "xmlLang",
 "xmlns_xlink": "xmlnsXlink",
 "xml_space": "xmlSpace",
 "y_channel_selector": "yChannelSelector",
 "zoom_and_pan": "zoomAndPan",
 "disable_indicator": "disableIndicator",
 "indicator_inset": "indicatorInset",
 "indicator_placement": "indicatorPlacement",
 "border_axis": "borderAxis",
 "cell_padding": "cellPadding",
 "cell_spacing": "cellSpacing",
 "hover_row": "hoverRow",
 "no_wrap": "noWrap",
 "sticky_footer": "stickyFooter",
 "sticky_header": "stickyHeader",
 "disable_underline": "disableUnderline",
 "tab_flex": "tabFlex",
 "underline_placement": "underlinePlacement",
 "selection_follows_focus": "selectionFollowsFocus",
 "max_rows": "maxRows",
 "min_rows": "minRows",
 "describe_child": "describeChild",
 "disable_focus_listener": "disableFocusListener",
 "disable_hover_listener": "disableHoverListener",
 "disable_interactive": "disableInteractive",
 "disable_touch_listener": "disableTouchListener",
 "enter_delay": "enterDelay",
 "enter_next_delay": "enterNextDelay",
 "enter_touch_delay": "enterTouchDelay",
 "follow_cursor": "followCursor",
 "leave_delay": "leaveDelay",
 "leave_touch_delay": "leaveTouchDelay",
 "gutter_bottom": "gutterBottom",
 "level_mapping": "levelMapping",
 "default_dark_color_scheme": "defaultDarkColorScheme",
 "default_light_color_scheme": "defaultLightColorScheme",
 "css_var_prefix": "cssVarPrefix",
 "theme_options": "themeOptions"
}

@stub_component(js.JoyUI.Accordion, props_mapping)
def Accordion(*children, about: Any, access_key: Any, accordion_id: str, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Literal["primary", "neutral", "danger", "success", "warning"], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_expanded: bool, default_value: Any, dir: Any, disabled: bool, draggable: Any, enter_key_hint: Any, expanded: bool, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.AccordionDetails, props_mapping)
def AccordionDetails(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Literal["primary", "neutral", "danger", "success", "warning"], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, draggable: Any, enter_key_hint: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.AccordionGroup, props_mapping)
def AccordionGroup(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Literal["primary", "neutral", "danger", "success", "warning"], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, disable_divider: bool, draggable: Any, enter_key_hint: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, size: Literal["sm", "md", "lg"], slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, transition: Any, translate: Any, typeof: Any, unselectable: Any, variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.AccordionSummary, props_mapping)
def AccordionSummary(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Literal["primary", "neutral", "danger", "success", "warning"], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, draggable: Any, enter_key_hint: Any, hidden: Any, id: Any, indicator: Union[str, int, float, Any, bool], inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.Alert, props_mapping)
def Alert(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Literal["primary", "neutral", "danger", "success", "warning"], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, draggable: Any, end_decorator: Union[str, int, float, Any, bool], enter_key_hint: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, inverted_colors: bool, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: str, security: Any, size: Literal["sm", "md", "lg"], slot: Any, slot_props: Any, slots: Any, spell_check: Any, start_decorator: Union[str, int, float, Any, bool], style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.AspectRatio, props_mapping)
def AspectRatio(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Literal["primary", "neutral", "danger", "success", "warning"], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, draggable: Any, enter_key_hint: Any, flex: bool, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, max_height: Any, min_height: Any, nonce: Any, object_fit: Literal["contain", "fill", "-moz-initial", "inherit", "initial", "revert", "revert-layer", "unset", "cover", "none", "scale-down"], on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, prefix: Any, property: Any, radio_group: Any, ratio: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.Autocomplete, props_mapping)
def Autocomplete(*children, options: Any, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_complete: bool, auto_correct: Any, auto_focus: bool, auto_highlight: bool, auto_save: Any, auto_select: bool, blur_on_select: Union[bool, Literal["touch", "mouse"]], class_name: Any, clear_icon: Union[str, int, float, Any, bool], clear_on_blur: bool, clear_on_escape: bool, clear_text: str, close_text: str, color: Literal["primary", "neutral", "danger", "success", "warning"], component_name: str, content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, disable_clearable: None, disable_close_on_select: bool, disabled: Any, disabled_items_focusable: bool, disable_list_wrap: bool, draggable: Any, end_decorator: Union[str, int, float, Any, bool], enter_key_hint: Any, error: bool, filter_options: Any, filter_selected_options: bool, force_popup_icon: Union[bool, Literal["auto"]], free_solo: None, get_limit_tags_text: Any, get_option_disabled: Any, get_option_key: Any, get_option_label: Any, group_by: Any, handle_home_end_keys: bool, hidden: Any, id: str, include_input_in_list: bool, inlist: Any, input_mode: Any, input_value: str, is_: Any, is_option_equal_to_value: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, limit_tags: Union[int, float], loading: bool, loading_text: Union[str, int, float, Any, bool], multiple: None, name: str, nonce: Any, no_options_text: Union[str, int, float, Any, bool], on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_close: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_highlight_change: Any, on_input: Any, on_input_capture: Any, on_input_change: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_open: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, open: bool, open_on_focus: bool, open_text: str, placeholder: str, popup_icon: Union[str, int, float, Any, bool], prefix: Any, property: Any, radio_group: Any, read_only: Any, rel: Any, render_group: Any, render_option: Any, render_tags: Any, required: bool, resource: Any, results: Any, rev: Any, role: Any, security: Any, select_on_focus: bool, size: Literal["sm", "md", "lg"], slot: Any, slot_props: Any, slots: Any, spell_check: Any, start_decorator: Union[str, int, float, Any, bool], style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, type: str, typeof: Any, unselectable: Any, unstable_class_name_prefix: str, unstable_is_active_element_in_listbox: Any, value: Any, variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.AutocompleteListbox, props_mapping)
def AutocompleteListbox(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Literal["primary", "neutral", "danger", "success", "warning"], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, draggable: Any, enter_key_hint: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, size: Literal["sm", "md", "lg"], slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.AutocompleteOption, props_mapping)
def AutocompleteOption(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Literal["primary", "neutral", "danger", "success", "warning"], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, draggable: Any, enter_key_hint: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, value: Any, variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.Avatar, props_mapping)
def Avatar(*children, about: Any, access_key: Any, alt: str, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Literal["primary", "neutral", "danger", "success", "warning"], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, draggable: Any, enter_key_hint: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, size: Literal["sm", "md", "lg"], slot: Any, slot_props: Any, slots: Any, spell_check: Any, src: str, src_set: str, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.AvatarGroup, props_mapping)
def AvatarGroup(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Literal["primary", "neutral", "danger", "success", "warning"], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, draggable: Any, enter_key_hint: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, size: Literal["sm", "md", "lg"], slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.Badge, props_mapping)
def Badge(*children, about: Any, access_key: Any, anchor_origin: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, badge_content: Union[str, int, float, Any, bool], badge_inset: Any, class_name: Any, color: Literal["primary", "neutral", "danger", "success", "warning"], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, draggable: Any, enter_key_hint: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, invisible: bool, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, max: Union[int, float], nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, show_zero: bool, size: Literal["sm", "md", "lg"], slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.Box, props_mapping)
def Box(*children, about: Any, access_key: Any, align_content: Any, align_items: Any, align_self: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, bgcolor: Any, border: Any, border_bottom: Any, border_color: Any, border_left: Any, border_radius: Any, border_right: Any, border_top: Any, bottom: Any, box_shadow: Any, box_sizing: Any, class_name: Any, color: Any, column_gap: Any, component: Union[Any, Literal["symbol", "object", "div", "p", "map", "filter", "clipPath", "mask", "marker", "a", "abbr", "address", "area", "article", "aside", "audio", "b", "base", "bdi", "bdo", "big", "blockquote", "body", "br", "button", "canvas", "caption", "center", "cite", "code", "col", "colgroup", "data", "datalist", "dd", "del", "details", "dfn", "dialog", "dl", "dt", "em", "embed", "fieldset", "figcaption", "figure", "footer", "form", "h1", "h2", "h3", "h4", "h5", "h6", "head", "header", "hgroup", "hr", "html", "i", "iframe", "img", "input", "ins", "kbd", "keygen", "label", "legend", "li", "link", "main", "mark", "menu", "menuitem", "meta", "meter", "nav", "noindex", "noscript", "ol", "optgroup", "option", "output", "param", "picture", "pre", "progress", "q", "rp", "rt", "ruby", "s", "samp", "search", "slot", "script", "section", "select", "small", "source", "span", "strong", "style", "sub", "summary", "sup", "table", "template", "tbody", "td", "textarea", "tfoot", "th", "thead", "time", "title", "tr", "track", "u", "ul", "var", "video", "wbr", "webview", "svg", "animate", "animateMotion", "animateTransform", "circle", "defs", "desc", "ellipse", "feBlend", "feColorMatrix", "feComponentTransfer", "feComposite", "feConvolveMatrix", "feDiffuseLighting", "feDisplacementMap", "feDistantLight", "feDropShadow", "feFlood", "feFuncA", "feFuncB", "feFuncG", "feFuncR", "feGaussianBlur", "feImage", "feMerge", "feMergeNode", "feMorphology", "feOffset", "fePointLight", "feSpecularLighting", "feSpotLight", "feTile", "feTurbulence", "foreignObject", "g", "image", "line", "linearGradient", "metadata", "mpath", "path", "pattern", "polygon", "polyline", "radialGradient", "rect", "set", "stop", "switch", "text", "textPath", "tspan", "use", "view"]], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, display: Any, display_print: Any, draggable: Any, enter_key_hint: Any, flex: Any, flex_basis: Any, flex_direction: Any, flex_grow: Any, flex_shrink: Any, flex_wrap: Any, font_family: Any, font_size: Any, font_style: Any, font_weight: Any, gap: Any, grid_area: Any, grid_auto_columns: Any, grid_auto_flow: Any, grid_auto_rows: Any, grid_column: Any, grid_row: Any, grid_template_areas: Any, grid_template_columns: Any, grid_template_rows: Any, height: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, justify_content: Any, justify_items: Any, justify_self: Any, key: Union[str, int], lang: Any, left: Any, letter_spacing: Any, line_height: Any, m: Any, margin: Any, margin_block: Any, margin_block_end: Any, margin_block_start: Any, margin_bottom: Any, margin_inline: Any, margin_inline_end: Any, margin_inline_start: Any, margin_left: Any, margin_right: Any, margin_top: Any, margin_x: Any, margin_y: Any, max_height: Any, max_width: Any, mb: Any, min_height: Any, min_width: Any, ml: Any, mr: Any, mt: Any, mx: Any, my: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, order: Any, overflow: Any, p: Any, padding: Any, padding_block: Any, padding_block_end: Any, padding_block_start: Any, padding_bottom: Any, padding_inline: Any, padding_inline_end: Any, padding_inline_start: Any, padding_left: Any, padding_right: Any, padding_top: Any, padding_x: Any, padding_y: Any, pb: Any, pl: Any, position: Any, pr: Any, prefix: Any, property: Any, pt: Any, px: Any, py: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, right: Any, role: Any, row_gap: Any, security: Any, slot: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, text_align: Any, text_overflow: Any, text_transform: Any, title: Any, top: Any, translate: Any, typeof: Any, typography: Any, unselectable: Any, visibility: Any, vocab: Any, white_space: Any, width: Any, z_index: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.Breadcrumbs, props_mapping)
def Breadcrumbs(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Any, content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, draggable: Any, enter_key_hint: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, separator: Union[str, int, float, Any, bool], size: Literal["sm", "md", "lg"], slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.Button, props_mapping)
def Button(*children, about: Any, access_key: Any, action: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Literal["primary", "neutral", "danger", "success", "warning"], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, disabled: bool, download: Any, draggable: Any, end_decorator: Union[str, int, float, Any, bool], enter_key_hint: Any, focus_visible_class_name: str, full_width: bool, hidden: Any, href: Any, href_lang: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, loading: bool, loading_indicator: Union[str, int, float, Any, bool], loading_position: Literal["center", "start", "end"], media: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, ping: Any, prefix: Any, property: Any, radio_group: Any, ref: Any, referrer_policy: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, size: Literal["sm", "md", "lg"], slot: Any, slot_props: Any, slots: Any, spell_check: Any, start_decorator: Union[str, int, float, Any, bool], style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Union[int, float], target: Any, title: Any, translate: Any, type: Any, typeof: Any, unselectable: Any, variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.ButtonGroup, props_mapping)
def ButtonGroup(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, button_flex: Any, class_name: Any, color: Literal["primary", "neutral", "danger", "success", "warning"], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, disabled: bool, draggable: Any, enter_key_hint: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, orientation: Literal["horizontal", "vertical"], prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, size: Literal["sm", "md", "lg"], slot: Any, slot_props: Any, slots: Any, spacing: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.Card, props_mapping)
def Card(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Literal["primary", "neutral", "danger", "success", "warning"], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, draggable: Any, enter_key_hint: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, inverted_colors: bool, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, orientation: Literal["horizontal", "vertical"], prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, size: Literal["sm", "md", "lg"], slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.CardActions, props_mapping)
def CardActions(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, button_flex: Any, class_name: Any, color: Any, content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, draggable: Any, enter_key_hint: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, orientation: Literal["horizontal", "horizontal-reverse", "vertical"], prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.CardContent, props_mapping)
def CardContent(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Any, content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, draggable: Any, enter_key_hint: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, orientation: Literal["horizontal", "vertical"], prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.CardCover, props_mapping)
def CardCover(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Any, content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, draggable: Any, enter_key_hint: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.CardOverflow, props_mapping)
def CardOverflow(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Literal["primary", "neutral", "danger", "success", "warning"], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, draggable: Any, enter_key_hint: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.Checkbox, props_mapping)
def Checkbox(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, checked: bool, checked_icon: Union[str, int, float, Any, bool], class_name: str, color: Literal["primary", "neutral", "danger", "success", "warning"], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: bool, default_value: Any, dir: Any, disabled: bool, disable_icon: bool, draggable: Any, enter_key_hint: Any, hidden: Any, id: Any, indeterminate: bool, indeterminate_icon: Union[str, int, float, Any, bool], inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], label: Union[str, int, float, Any, bool], lang: Any, name: str, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_focus_visible: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, overlay: bool, prefix: Any, property: Any, radio_group: Any, read_only: bool, ref: Any, rel: Any, required: bool, resource: Any, results: Any, rev: Any, role: Any, security: Any, size: Literal["sm", "md", "lg"], slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unchecked_icon: Union[str, int, float, Any, bool], unselectable: Any, value: Any, variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.Chip, props_mapping)
def Chip(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Literal["primary", "neutral", "danger", "success", "warning"], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, disabled: bool, draggable: Any, end_decorator: Union[str, int, float, Any, bool], enter_key_hint: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, size: Literal["sm", "md", "lg"], slot: Any, slot_props: Any, slots: Any, spell_check: Any, start_decorator: Union[str, int, float, Any, bool], style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.ChipDelete, props_mapping)
def ChipDelete(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Literal["primary", "neutral", "danger", "success", "warning"], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, disabled: bool, draggable: Any, enter_key_hint: Any, form: Any, form_action: Any, form_enc_type: Any, form_method: Any, form_no_validate: Any, form_target: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, name: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_delete: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, type: Any, typeof: Any, unselectable: Any, value: Any, variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.CircularProgress, props_mapping)
def CircularProgress(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Literal["primary", "neutral", "danger", "success", "warning"], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, determinate: bool, dir: Any, draggable: Any, enter_key_hint: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, size: Literal["sm", "md", "lg"], slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, thickness: Union[int, float], title: Any, translate: Any, typeof: Any, unselectable: Any, value: Union[int, float], variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.Container, props_mapping)
def Container(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Any, content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, disable_gutters: bool, draggable: Any, enter_key_hint: Any, fixed: bool, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, max_width: Literal[False, "xs", "sm", "md", "lg", "xl"], nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, slot: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.CssBaseline, props_mapping)
def CssBaseline(*children, disable_color_scheme: Any, key: Union[str, int]):
    """"""
@stub_component(js.JoyUI.CssVarsProvider, props_mapping)
def CssVarsProvider(*children, attribute: Any, color_scheme_node: Any, color_scheme_selector: str, color_scheme_storage_key: Any, default_color_scheme: Any, default_mode: Any, disable_nested_context: bool, disable_style_sheet_generation: bool, disable_transition_on_change: Any, document_node: Any, key: Union[str, int], mode_storage_key: Any, storage_window: Any, theme: Any):
    """"""
@stub_component(js.JoyUI.DialogActions, props_mapping)
def DialogActions(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, button_flex: Any, class_name: Any, color: Any, content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, draggable: Any, enter_key_hint: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, orientation: Literal["horizontal", "horizontal-reverse", "vertical"], prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.DialogContent, props_mapping)
def DialogContent(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Any, content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, draggable: Any, enter_key_hint: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, orientation: Literal["horizontal", "vertical"], prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.DialogTitle, props_mapping)
def DialogTitle(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Literal["primary", "neutral", "danger", "success", "warning"], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, draggable: Any, enter_key_hint: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, level: Literal["h1", "h2", "h3", "h4", "title-lg", "title-md", "title-sm", "body-lg", "body-md", "body-sm", "body-xs", "inherit"], nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.Divider, props_mapping)
def Divider(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Any, content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, draggable: Any, enter_key_hint: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, inset: Literal["none", "context"], is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, orientation: Literal["horizontal", "vertical"], prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.Drawer, props_mapping)
def Drawer(*children, component: Union[Any, Literal["symbol", "object", "div", "a", "abbr", "address", "area", "article", "aside", "audio", "b", "base", "bdi", "bdo", "big", "blockquote", "body", "br", "button", "canvas", "caption", "center", "cite", "code", "col", "colgroup", "data", "datalist", "dd", "del", "details", "dfn", "dialog", "dl", "dt", "em", "embed", "fieldset", "figcaption", "figure", "footer", "form", "h1", "h2", "h3", "h4", "h5", "h6", "head", "header", "hgroup", "hr", "html", "i", "iframe", "img", "input", "ins", "kbd", "keygen", "label", "legend", "li", "link", "main", "map", "mark", "menu", "menuitem", "meta", "meter", "nav", "noindex", "noscript", "ol", "optgroup", "option", "output", "p", "param", "picture", "pre", "progress", "q", "rp", "rt", "ruby", "s", "samp", "search", "slot", "script", "section", "select", "small", "source", "span", "strong", "style", "sub", "summary", "sup", "table", "template", "tbody", "td", "textarea", "tfoot", "th", "thead", "time", "title", "tr", "track", "u", "ul", "var", "video", "wbr", "webview", "svg", "animate", "animateMotion", "animateTransform", "circle", "clipPath", "defs", "desc", "ellipse", "feBlend", "feColorMatrix", "feComponentTransfer", "feComposite", "feConvolveMatrix", "feDiffuseLighting", "feDisplacementMap", "feDistantLight", "feDropShadow", "feFlood", "feFuncA", "feFuncB", "feFuncG", "feFuncR", "feGaussianBlur", "feImage", "feMerge", "feMergeNode", "feMorphology", "feOffset", "fePointLight", "feSpecularLighting", "feSpotLight", "feTile", "feTurbulence", "filter", "foreignObject", "g", "image", "line", "linearGradient", "marker", "mask", "metadata", "mpath", "path", "pattern", "polygon", "polyline", "radialGradient", "rect", "set", "stop", "switch", "text", "textPath", "tspan", "use", "view"]], open: Any, anchor: Literal["left", "top", "right", "bottom"], color: Literal["primary", "neutral", "danger", "success", "warning"], container: Any, disable_auto_focus: Any, disable_enforce_focus: Any, disable_escape_key_down: Any, disable_portal: Any, disable_restore_focus: Any, disable_scroll_lock: Any, hide_backdrop: Any, inverted_colors: bool, key: Union[str, int], on_close: Any, size: Literal["sm", "md", "lg"], slot_props: Any, slots: Any, sx: Any, variant: Literal["plain", "outlined", "soft", "solid"]):
    """"""
@stub_component(js.JoyUI.Dropdown, props_mapping)
def Dropdown(*children, default_open: Any, key: Union[str, int], on_open_change: Any, open: Any):
    """"""
@stub_component(js.JoyUI.FormControl, props_mapping)
def FormControl(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Literal["primary", "neutral", "danger", "success", "warning"], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, disabled: bool, draggable: Any, enter_key_hint: Any, error: bool, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, orientation: Literal["vertical", "horizontal"], prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, required: bool, resource: Any, results: Any, rev: Any, role: Any, security: Any, size: Literal["sm", "md", "lg"], slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.FormHelperText, props_mapping)
def FormHelperText(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Any, content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, draggable: Any, enter_key_hint: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.FormLabel, props_mapping)
def FormLabel(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Any, content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, draggable: Any, enter_key_hint: Any, form: Any, hidden: Any, html_for: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, required: bool, resource: Any, results: Any, rev: Any, role: Any, security: Any, slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.GlobalStyles, props_mapping)
def GlobalStyles(*children, styles: Union[str, int, float, Any, bool], default_theme: Any, key: Union[str, int], theme_id: str):
    """"""
@stub_component(js.JoyUI.Grid, props_mapping)
def Grid(*children, about: Any, access_key: Any, align_content: Any, align_items: Any, align_self: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, bgcolor: Any, border: Any, border_bottom: Any, border_color: Any, border_left: Any, border_radius: Any, border_right: Any, border_top: Any, bottom: Any, box_shadow: Any, box_sizing: Any, class_name: Any, color: Any, column_gap: Any, columns: Any, column_spacing: Any, container: bool, content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, direction: Union[Any, Literal["row", "row-reverse", "column", "column-reverse"]], disable_equal_overflow: bool, display: Any, display_print: Any, draggable: Any, enter_key_hint: Any, flex: Any, flex_basis: Any, flex_direction: Any, flex_grow: Any, flex_shrink: Any, flex_wrap: Any, font_family: Any, font_size: Any, font_style: Any, font_weight: Any, gap: Any, grid_area: Any, grid_auto_columns: Any, grid_auto_flow: Any, grid_auto_rows: Any, grid_column: Any, grid_row: Any, grid_template_areas: Any, grid_template_columns: Any, grid_template_rows: Any, height: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, justify_content: Any, justify_items: Any, justify_self: Any, key: Union[str, int], lang: Any, left: Any, letter_spacing: Any, lg: Union[int, float, bool, Literal["auto"]], lg_offset: Union[int, float, Literal["auto"]], line_height: Any, m: Any, margin: Any, margin_block: Any, margin_block_end: Any, margin_block_start: Any, margin_bottom: Any, margin_inline: Any, margin_inline_end: Any, margin_inline_start: Any, margin_left: Any, margin_right: Any, margin_top: Any, margin_x: Any, margin_y: Any, max_height: Any, max_width: Any, mb: Any, md: Union[int, float, bool, Literal["auto"]], md_offset: Union[int, float, Literal["auto"]], min_height: Any, min_width: Any, ml: Any, mr: Any, mt: Any, mx: Any, my: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, order: Any, overflow: Any, p: Any, padding: Any, padding_block: Any, padding_block_end: Any, padding_block_start: Any, padding_bottom: Any, padding_inline: Any, padding_inline_end: Any, padding_inline_start: Any, padding_left: Any, padding_right: Any, padding_top: Any, padding_x: Any, padding_y: Any, pb: Any, pl: Any, position: Any, pr: Any, prefix: Any, property: Any, pt: Any, px: Any, py: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, right: Any, role: Any, row_gap: Any, row_spacing: Any, security: Any, slot: Any, slot_props: Any, slots: Any, sm: Union[int, float, bool, Literal["auto"]], sm_offset: Union[int, float, Literal["auto"]], spacing: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, text_align: Any, text_overflow: Any, text_transform: Any, title: Any, top: Any, translate: Any, typeof: Any, typography: Any, unselectable: Any, unstable_level: Union[int, float], visibility: Any, vocab: Any, white_space: Any, width: Any, wrap: Literal["wrap", "nowrap", "wrap-reverse"], xl: Union[int, float, bool, Literal["auto"]], xl_offset: Union[int, float, Literal["auto"]], xs: Union[int, float, bool, Literal["auto"]], xs_offset: Union[int, float, Literal["auto"]], z_index: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.IconButton, props_mapping)
def IconButton(*children, about: Any, access_key: Any, action: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Literal["primary", "neutral", "danger", "success", "warning"], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, disabled: bool, download: Any, draggable: Any, enter_key_hint: Any, focus_visible_class_name: str, hidden: Any, href: Any, href_lang: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, loading: bool, loading_indicator: Union[str, int, float, Any, bool], media: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, ping: Any, prefix: Any, property: Any, radio_group: Any, ref: Any, referrer_policy: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, size: Literal["sm", "md", "lg"], slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Union[int, float], target: Any, title: Any, translate: Any, type: Any, typeof: Any, unselectable: Any, variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.Input, props_mapping)
def Input(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_complete: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: str, color: Literal["primary", "neutral", "danger", "success", "warning"], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, disabled: Any, draggable: Any, end_decorator: Union[str, int, float, Any, bool], enter_key_hint: Any, error: bool, full_width: bool, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, name: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, placeholder: Any, prefix: Any, property: Any, radio_group: Any, read_only: Any, ref: Any, rel: Any, required: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, size: Literal["sm", "md", "lg"], slot: Any, slot_props: Any, slots: Any, spell_check: Any, start_decorator: Union[str, int, float, Any, bool], style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, type: Any, typeof: Any, unselectable: Any, value: Any, variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.LinearProgress, props_mapping)
def LinearProgress(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Literal["primary", "neutral", "danger", "success", "warning"], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, determinate: bool, dir: Any, draggable: Any, enter_key_hint: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, size: Literal["sm", "md", "lg"], slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, thickness: Union[int, float], title: Any, translate: Any, typeof: Any, unselectable: Any, value: Union[int, float], variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.Link, props_mapping)
def Link(*children, about: Any, access_key: Any, align_content: Any, align_items: Any, align_self: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, bgcolor: Any, border: Any, border_bottom: Any, border_color: Any, border_left: Any, border_radius: Any, border_right: Any, border_top: Any, bottom: Any, box_shadow: Any, box_sizing: Any, class_name: Any, color: Literal["primary", "neutral", "danger", "success", "warning"], column_gap: Any, content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, disabled: bool, display: Any, display_print: Any, download: Any, draggable: Any, end_decorator: Union[str, int, float, Any, bool], enter_key_hint: Any, flex: Any, flex_basis: Any, flex_direction: Any, flex_grow: Any, flex_shrink: Any, flex_wrap: Any, font_family: Any, font_size: Any, font_style: Any, font_weight: Any, gap: Any, grid_area: Any, grid_auto_columns: Any, grid_auto_flow: Any, grid_auto_rows: Any, grid_column: Any, grid_row: Any, grid_template_areas: Any, grid_template_columns: Any, grid_template_rows: Any, height: Any, hidden: Any, href: Any, href_lang: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, justify_content: Any, justify_items: Any, justify_self: Any, key: Union[str, int], lang: Any, left: Any, letter_spacing: Any, level: Literal["h1", "h2", "h3", "h4", "title-lg", "title-md", "title-sm", "body-lg", "body-md", "body-sm", "body-xs", "inherit"], line_height: Any, m: Any, margin: Any, margin_block: Any, margin_block_end: Any, margin_block_start: Any, margin_bottom: Any, margin_inline: Any, margin_inline_end: Any, margin_inline_start: Any, margin_left: Any, margin_right: Any, margin_top: Any, margin_x: Any, margin_y: Any, max_height: Any, max_width: Any, mb: Any, media: Any, min_height: Any, min_width: Any, ml: Any, mr: Any, mt: Any, mx: Any, my: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, order: Any, overflow: Any, overlay: bool, p: Any, padding: Any, padding_block: Any, padding_block_end: Any, padding_block_start: Any, padding_bottom: Any, padding_inline: Any, padding_inline_end: Any, padding_inline_start: Any, padding_left: Any, padding_right: Any, padding_top: Any, padding_x: Any, padding_y: Any, pb: Any, ping: Any, pl: Any, position: Any, pr: Any, prefix: Any, property: Any, pt: Any, px: Any, py: Any, radio_group: Any, ref: Any, referrer_policy: Any, rel: Any, resource: Any, results: Any, rev: Any, right: Any, role: Any, row_gap: Any, security: Any, slot: Any, slot_props: Any, slots: Any, spell_check: Any, start_decorator: Union[str, int, float, Any, bool], style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, target: Any, text_align: Any, text_color: Union[Any, Literal["divider", "focusVisible", "background.body", "background.surface", "background.popup", "background.level1", "background.level2", "background.level3", "background.tooltip", "background.backdrop", "primary.50", "primary.100", "primary.200", "primary.300", "primary.400", "primary.500", "primary.600", "primary.700", "primary.800", "primary.900", "primary.mainChannel", "primary.lightChannel", "primary.darkChannel", "primary.plainColor", "primary.plainHoverBg", "primary.plainActiveBg", "primary.plainDisabledColor", "primary.outlinedColor", "primary.outlinedBorder", "primary.outlinedHoverBg", "primary.outlinedHoverBorder", "primary.outlinedActiveBg", "primary.outlinedDisabledColor", "primary.outlinedDisabledBorder", "primary.softColor", "primary.softBg", "primary.softHoverBg", "primary.softActiveBg", "primary.softDisabledColor", "primary.softDisabledBg", "primary.solidColor", "primary.solidBg", "primary.solidHoverBg", "primary.solidActiveBg", "primary.solidDisabledColor", "primary.solidDisabledBg", "neutral.50", "neutral.100", "neutral.200", "neutral.300", "neutral.400", "neutral.500", "neutral.600", "neutral.700", "neutral.800", "neutral.900", "neutral.mainChannel", "neutral.lightChannel", "neutral.darkChannel", "neutral.plainColor", "neutral.plainHoverBg", "neutral.plainActiveBg", "neutral.plainDisabledColor", "neutral.outlinedColor", "neutral.outlinedBorder", "neutral.outlinedHoverBg", "neutral.outlinedHoverBorder", "neutral.outlinedActiveBg", "neutral.outlinedDisabledColor", "neutral.outlinedDisabledBorder", "neutral.softColor", "neutral.softBg", "neutral.softHoverBg", "neutral.softActiveBg", "neutral.softDisabledColor", "neutral.softDisabledBg", "neutral.solidColor", "neutral.solidBg", "neutral.solidHoverBg", "neutral.solidActiveBg", "neutral.solidDisabledColor", "neutral.solidDisabledBg", "neutral.plainHoverColor", "neutral.outlinedHoverColor", "neutral.softHoverColor", "danger.50", "danger.100", "danger.200", "danger.300", "danger.400", "danger.500", "danger.600", "danger.700", "danger.800", "danger.900", "danger.mainChannel", "danger.lightChannel", "danger.darkChannel", "danger.plainColor", "danger.plainHoverBg", "danger.plainActiveBg", "danger.plainDisabledColor", "danger.outlinedColor", "danger.outlinedBorder", "danger.outlinedHoverBg", "danger.outlinedHoverBorder", "danger.outlinedActiveBg", "danger.outlinedDisabledColor", "danger.outlinedDisabledBorder", "danger.softColor", "danger.softBg", "danger.softHoverBg", "danger.softActiveBg", "danger.softDisabledColor", "danger.softDisabledBg", "danger.solidColor", "danger.solidBg", "danger.solidHoverBg", "danger.solidActiveBg", "danger.solidDisabledColor", "danger.solidDisabledBg", "success.50", "success.100", "success.200", "success.300", "success.400", "success.500", "success.600", "success.700", "success.800", "success.900", "success.mainChannel", "success.lightChannel", "success.darkChannel", "success.plainColor", "success.plainHoverBg", "success.plainActiveBg", "success.plainDisabledColor", "success.outlinedColor", "success.outlinedBorder", "success.outlinedHoverBg", "success.outlinedHoverBorder", "success.outlinedActiveBg", "success.outlinedDisabledColor", "success.outlinedDisabledBorder", "success.softColor", "success.softBg", "success.softHoverBg", "success.softActiveBg", "success.softDisabledColor", "success.softDisabledBg", "success.solidColor", "success.solidBg", "success.solidHoverBg", "success.solidActiveBg", "success.solidDisabledColor", "success.solidDisabledBg", "warning.50", "warning.100", "warning.200", "warning.300", "warning.400", "warning.500", "warning.600", "warning.700", "warning.800", "warning.900", "warning.mainChannel", "warning.lightChannel", "warning.darkChannel", "warning.plainColor", "warning.plainHoverBg", "warning.plainActiveBg", "warning.plainDisabledColor", "warning.outlinedColor", "warning.outlinedBorder", "warning.outlinedHoverBg", "warning.outlinedHoverBorder", "warning.outlinedActiveBg", "warning.outlinedDisabledColor", "warning.outlinedDisabledBorder", "warning.softColor", "warning.softBg", "warning.softHoverBg", "warning.softActiveBg", "warning.softDisabledColor", "warning.softDisabledBg", "warning.solidColor", "warning.solidBg", "warning.solidHoverBg", "warning.solidActiveBg", "warning.solidDisabledColor", "warning.solidDisabledBg", "common.white", "common.black", "text.primary", "text.secondary", "text.tertiary", "text.icon"]], text_overflow: Any, text_transform: Any, title: Any, top: Any, translate: Any, type: Any, typeof: Any, typography: Any, underline: Literal["none", "hover", "always"], unselectable: Any, variant: Literal["plain", "outlined", "soft", "solid"], visibility: Any, vocab: Any, white_space: Any, width: Any, z_index: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.List, props_mapping)
def List(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Literal["primary", "neutral", "danger", "success", "warning"], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, draggable: Any, enter_key_hint: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, marker: str, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, orientation: Literal["horizontal", "vertical"], prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, size: Literal["sm", "md", "lg"], slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, wrap: bool, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.ListDivider, props_mapping)
def ListDivider(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Any, content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, draggable: Any, enter_key_hint: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, inset: Literal["context", "gutter", "startDecorator", "startContent"], is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, orientation: Literal["horizontal", "vertical"], prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, value: Any, vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.ListItem, props_mapping)
def ListItem(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Literal["primary", "neutral", "danger", "success", "warning"], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, draggable: Any, end_action: Union[str, int, float, Any, bool], enter_key_hint: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, nested: bool, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, slot: Any, slot_props: Any, slots: Any, spell_check: Any, start_action: Union[str, int, float, Any, bool], sticky: bool, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, value: Any, variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.ListItemButton, props_mapping)
def ListItemButton(*children, about: Any, access_key: Any, action: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: bool, auto_save: Any, class_name: Any, color: Literal["primary", "neutral", "danger", "success", "warning"], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, disabled: bool, download: Any, draggable: Any, enter_key_hint: Any, focus_visible_class_name: str, hidden: Any, href: Any, href_lang: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, media: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, orientation: Literal["horizontal", "vertical"], ping: Any, prefix: Any, property: Any, radio_group: Any, ref: Any, referrer_policy: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, selected: bool, slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Union[int, float], target: Any, title: Any, translate: Any, type: Any, typeof: Any, unselectable: Any, variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.ListItemContent, props_mapping)
def ListItemContent(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Any, content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, draggable: Any, enter_key_hint: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.ListItemDecorator, props_mapping)
def ListItemDecorator(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Any, content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, draggable: Any, enter_key_hint: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.ListSubheader, props_mapping)
def ListSubheader(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Literal["primary", "neutral", "danger", "success", "warning"], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, draggable: Any, enter_key_hint: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, slot: Any, slot_props: Any, slots: Any, spell_check: Any, sticky: bool, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.Menu, props_mapping)
def Menu(*children, about: Any, access_key: Any, actions: Any, anchor_el: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Literal["primary", "neutral", "danger", "success", "warning"], component: Union[Any, Literal["symbol", "object", "ul", "div", "a", "abbr", "address", "area", "article", "aside", "audio", "b", "base", "bdi", "bdo", "big", "blockquote", "body", "br", "button", "canvas", "caption", "center", "cite", "code", "col", "colgroup", "data", "datalist", "dd", "del", "details", "dfn", "dialog", "dl", "dt", "em", "embed", "fieldset", "figcaption", "figure", "footer", "form", "h1", "h2", "h3", "h4", "h5", "h6", "head", "header", "hgroup", "hr", "html", "i", "iframe", "img", "input", "ins", "kbd", "keygen", "label", "legend", "li", "link", "main", "map", "mark", "menu", "menuitem", "meta", "meter", "nav", "noindex", "noscript", "ol", "optgroup", "option", "output", "p", "param", "picture", "pre", "progress", "q", "rp", "rt", "ruby", "s", "samp", "search", "slot", "script", "section", "select", "small", "source", "span", "strong", "style", "sub", "summary", "sup", "table", "template", "tbody", "td", "textarea", "tfoot", "th", "thead", "time", "title", "tr", "track", "u", "var", "video", "wbr", "webview", "svg", "animate", "animateMotion", "animateTransform", "circle", "clipPath", "defs", "desc", "ellipse", "feBlend", "feColorMatrix", "feComponentTransfer", "feComposite", "feConvolveMatrix", "feDiffuseLighting", "feDisplacementMap", "feDistantLight", "feDropShadow", "feFlood", "feFuncA", "feFuncB", "feFuncG", "feFuncR", "feGaussianBlur", "feImage", "feMerge", "feMergeNode", "feMorphology", "feOffset", "fePointLight", "feSpecularLighting", "feSpotLight", "feTile", "feTurbulence", "filter", "foreignObject", "g", "image", "line", "linearGradient", "marker", "mask", "metadata", "mpath", "path", "pattern", "polygon", "polyline", "radialGradient", "rect", "set", "stop", "switch", "text", "textPath", "tspan", "use", "view"]], container: Any, content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, direction: Any, disable_portal: Any, draggable: Any, enter_key_hint: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, inverted_colors: bool, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, keep_mounted: Any, key: Union[str, int], lang: Any, modifiers: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_close: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_items_change: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, open: bool, placement: Any, popper_options: Any, popper_ref: Any, prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, size: Literal["sm", "md", "lg"], slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, transition: Any, translate: Any, typeof: Any, unselectable: Any, variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.MenuButton, props_mapping)
def MenuButton(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Literal["primary", "neutral", "danger", "success", "warning"], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, disabled: bool, draggable: Any, end_decorator: Union[str, int, float, Any, bool], enter_key_hint: Any, form: Any, form_action: Any, form_enc_type: Any, form_method: Any, form_no_validate: Any, form_target: Any, full_width: bool, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, loading: bool, loading_indicator: Union[str, int, float, Any, bool], loading_position: Literal["center", "end", "start"], name: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, size: Literal["sm", "md", "lg"], slot: Any, slot_props: Any, slots: Any, spell_check: Any, start_decorator: Union[str, int, float, Any, bool], style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Union[int, float], title: Any, translate: Any, type: Any, typeof: Any, unselectable: Any, value: Any, variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.MenuItem, props_mapping)
def MenuItem(*children, about: Any, access_key: Any, action: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Any, component: Any, content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, disabled: Any, download: Any, draggable: Any, enter_key_hint: Any, focus_visible_class_name: Any, hidden: Any, href: Any, href_lang: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, media: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, orientation: Any, ping: Any, prefix: Any, property: Any, radio_group: Any, ref: Any, referrer_policy: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, selected: Any, slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, target: Any, title: Any, translate: Any, type: Any, typeof: Any, unselectable: Any, variant: Any, vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.MenuList, props_mapping)
def MenuList(*children, about: Any, access_key: Any, actions: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Literal["primary", "neutral", "danger", "success", "warning"], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, draggable: Any, enter_key_hint: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_items_change: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, size: Literal["sm", "md", "lg"], slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.Modal, props_mapping)
def Modal(*children, component: Union[Any, Literal["symbol", "object", "div", "a", "abbr", "address", "area", "article", "aside", "audio", "b", "base", "bdi", "bdo", "big", "blockquote", "body", "br", "button", "canvas", "caption", "center", "cite", "code", "col", "colgroup", "data", "datalist", "dd", "del", "details", "dfn", "dialog", "dl", "dt", "em", "embed", "fieldset", "figcaption", "figure", "footer", "form", "h1", "h2", "h3", "h4", "h5", "h6", "head", "header", "hgroup", "hr", "html", "i", "iframe", "img", "input", "ins", "kbd", "keygen", "label", "legend", "li", "link", "main", "map", "mark", "menu", "menuitem", "meta", "meter", "nav", "noindex", "noscript", "ol", "optgroup", "option", "output", "p", "param", "picture", "pre", "progress", "q", "rp", "rt", "ruby", "s", "samp", "search", "slot", "script", "section", "select", "small", "source", "span", "strong", "style", "sub", "summary", "sup", "table", "template", "tbody", "td", "textarea", "tfoot", "th", "thead", "time", "title", "tr", "track", "u", "ul", "var", "video", "wbr", "webview", "svg", "animate", "animateMotion", "animateTransform", "circle", "clipPath", "defs", "desc", "ellipse", "feBlend", "feColorMatrix", "feComponentTransfer", "feComposite", "feConvolveMatrix", "feDiffuseLighting", "feDisplacementMap", "feDistantLight", "feDropShadow", "feFlood", "feFuncA", "feFuncB", "feFuncG", "feFuncR", "feGaussianBlur", "feImage", "feMerge", "feMergeNode", "feMorphology", "feOffset", "fePointLight", "feSpecularLighting", "feSpotLight", "feTile", "feTurbulence", "filter", "foreignObject", "g", "image", "line", "linearGradient", "marker", "mask", "metadata", "mpath", "path", "pattern", "polygon", "polyline", "radialGradient", "rect", "set", "stop", "switch", "text", "textPath", "tspan", "use", "view"]], open: Any, container: Any, disable_auto_focus: Any, disable_enforce_focus: Any, disable_escape_key_down: Any, disable_portal: Any, disable_restore_focus: Any, disable_scroll_lock: Any, hide_backdrop: Any, keep_mounted: Any, key: Union[str, int], on_close: Any, slot_props: Any, slots: Any, sx: Any):
    """"""
@stub_component(js.JoyUI.ModalClose, props_mapping)
def ModalClose(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Literal["primary", "neutral", "danger", "success", "warning"], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, disabled: Any, draggable: Any, enter_key_hint: Any, form: Any, form_action: Any, form_enc_type: Any, form_method: Any, form_no_validate: Any, form_target: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, name: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, size: Literal["sm", "md", "lg"], slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, type: Any, typeof: Any, unselectable: Any, value: Any, variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.ModalDialog, props_mapping)
def ModalDialog(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Literal["primary", "neutral", "danger", "success", "warning"], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, draggable: Any, enter_key_hint: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, inverted_colors: bool, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, layout: Literal["center", "fullscreen"], max_width: Any, min_width: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, orientation: Literal["horizontal", "vertical"], prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, size: Literal["sm", "md", "lg"], slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.ModalOverflow, props_mapping)
def ModalOverflow(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Any, content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, draggable: Any, enter_key_hint: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.Option, props_mapping)
def Option(*children, value: Any, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Literal["primary", "neutral", "danger", "success", "warning"], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, disabled: bool, download: Any, draggable: Any, enter_key_hint: Any, hidden: Any, href: Any, href_lang: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], label: Any, lang: Any, media: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, ping: Any, prefix: Any, property: Any, radio_group: Any, ref: Any, referrer_policy: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, target: Any, title: Any, translate: Any, type: Any, typeof: Any, unselectable: Any, variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.Radio, props_mapping)
def Radio(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, checked: bool, checked_icon: Union[str, int, float, Any, bool], class_name: str, color: Literal["primary", "neutral", "danger", "success", "warning"], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: bool, default_value: Any, dir: Any, disabled: bool, disable_icon: bool, draggable: Any, enter_key_hint: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], label: Union[str, int, float, Any, bool], lang: Any, name: str, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_focus_visible: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, overlay: bool, prefix: Any, property: Any, radio_group: Any, read_only: bool, ref: Any, rel: Any, required: bool, resource: Any, results: Any, rev: Any, role: Any, security: Any, size: Literal["sm", "md", "lg"], slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unchecked_icon: Union[str, int, float, Any, bool], unselectable: Any, value: Any, variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.RadioGroup, props_mapping)
def RadioGroup(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: str, color: Literal["primary", "neutral", "danger", "success", "warning"], component: Union[Any, Literal["symbol", "object", "div", "a", "abbr", "address", "area", "article", "aside", "audio", "b", "base", "bdi", "bdo", "big", "blockquote", "body", "br", "button", "canvas", "caption", "center", "cite", "code", "col", "colgroup", "data", "datalist", "dd", "del", "details", "dfn", "dialog", "dl", "dt", "em", "embed", "fieldset", "figcaption", "figure", "footer", "form", "h1", "h2", "h3", "h4", "h5", "h6", "head", "header", "hgroup", "hr", "html", "i", "iframe", "img", "input", "ins", "kbd", "keygen", "label", "legend", "li", "link", "main", "map", "mark", "menu", "menuitem", "meta", "meter", "nav", "noindex", "noscript", "ol", "optgroup", "option", "output", "p", "param", "picture", "pre", "progress", "q", "rp", "rt", "ruby", "s", "samp", "search", "slot", "script", "section", "select", "small", "source", "span", "strong", "style", "sub", "summary", "sup", "table", "template", "tbody", "td", "textarea", "tfoot", "th", "thead", "time", "title", "tr", "track", "u", "ul", "var", "video", "wbr", "webview", "svg", "animate", "animateMotion", "animateTransform", "circle", "clipPath", "defs", "desc", "ellipse", "feBlend", "feColorMatrix", "feComponentTransfer", "feComposite", "feConvolveMatrix", "feDiffuseLighting", "feDisplacementMap", "feDistantLight", "feDropShadow", "feFlood", "feFuncA", "feFuncB", "feFuncG", "feFuncR", "feGaussianBlur", "feImage", "feMerge", "feMergeNode", "feMorphology", "feOffset", "fePointLight", "feSpecularLighting", "feSpotLight", "feTile", "feTurbulence", "filter", "foreignObject", "g", "image", "line", "linearGradient", "marker", "mask", "metadata", "mpath", "path", "pattern", "polygon", "polyline", "radialGradient", "rect", "set", "stop", "switch", "text", "textPath", "tspan", "use", "view"]], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, disable_icon: bool, draggable: Any, enter_key_hint: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, name: str, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, orientation: Literal["horizontal", "vertical"], overlay: bool, prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, size: Literal["sm", "md", "lg"], slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, value: Any, variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.ScopedCssBaseline, props_mapping)
def ScopedCssBaseline(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Any, content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, disable_color_scheme: bool, draggable: Any, enter_key_hint: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.Select, props_mapping)
def Select(*children, about: Any, access_key: Any, action: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: bool, auto_save: Any, class_name: str, color: Literal["primary", "neutral", "danger", "success", "warning"], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_listbox_open: bool, default_value: Any, dir: Any, disabled: bool, draggable: Any, end_decorator: Union[str, int, float, Any, bool], enter_key_hint: Any, form: Any, form_action: Any, form_enc_type: Any, form_method: Any, form_no_validate: Any, form_target: Any, get_serialized_value: Any, hidden: Any, id: Any, indicator: Union[str, int, float, Any, bool], inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, listbox_id: str, listbox_open: bool, multiple: Any, name: str, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_close: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_listbox_open_change: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, placeholder: Union[str, int, float, Any, bool], prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, render_value: Any, required: bool, resource: Any, results: Any, rev: Any, role: Any, security: Any, size: Literal["sm", "md", "lg"], slot: Any, slot_props: Any, slots: Any, spell_check: Any, start_decorator: Union[str, int, float, Any, bool], style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, type: Any, typeof: Any, unselectable: Any, value: Any, variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.Sheet, props_mapping)
def Sheet(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Literal["primary", "neutral", "danger", "success", "warning"], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, draggable: Any, enter_key_hint: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, inverted_colors: bool, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.shouldSkipGeneratingVar, props_mapping)
def shouldSkipGeneratingVar(*children, length: Union[int, float], key: Union[str, int]):
    """"""
@stub_component(js.JoyUI.Skeleton, props_mapping)
def Skeleton(*children, about: Any, access_key: Any, animation: Literal[False, "pulse", "wave"], aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Any, content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, draggable: Any, enter_key_hint: Any, height: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, level: Literal["h1", "h2", "h3", "h4", "title-lg", "title-md", "title-sm", "body-lg", "body-md", "body-sm", "body-xs", "inherit"], loading: bool, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, overlay: bool, prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, variant: Literal["overlay", "text", "circular", "rectangular", "inline"], vocab: Any, width: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.Slider, props_mapping)
def Slider(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, classes: Any, class_name: Any, color: Literal["primary", "neutral", "danger", "success", "warning"], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, disabled: Any, disable_swap: Any, draggable: Any, enter_key_hint: Any, get_aria_label: Any, get_aria_value_text: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, is_rtl: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, marks: Any, max: Any, min: Any, name: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_change_committed: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, orientation: Any, prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, root_ref: Any, scale: Any, security: Any, shift_step: Any, size: Literal["sm", "md", "lg"], slot: Any, slot_props: Any, slots: Any, spell_check: Any, step: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, track: Any, translate: Any, typeof: Any, unselectable: Any, value: Any, value_label_display: Literal["on", "auto", "off"], value_label_format: Any, variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.Snackbar, props_mapping)
def Snackbar(*children, component: Union[Any, Literal["symbol", "object", "div", "clipPath", "filter", "mask", "marker", "p", "a", "abbr", "address", "area", "article", "aside", "audio", "b", "base", "bdi", "bdo", "big", "blockquote", "body", "br", "button", "canvas", "caption", "center", "cite", "code", "col", "colgroup", "data", "datalist", "dd", "del", "details", "dfn", "dialog", "dl", "dt", "em", "embed", "fieldset", "figcaption", "figure", "footer", "form", "h1", "h2", "h3", "h4", "h5", "h6", "head", "header", "hgroup", "hr", "html", "i", "iframe", "img", "input", "ins", "kbd", "keygen", "label", "legend", "li", "link", "main", "map", "mark", "menu", "menuitem", "meta", "meter", "nav", "noindex", "noscript", "ol", "optgroup", "option", "output", "param", "picture", "pre", "progress", "q", "rp", "rt", "ruby", "s", "samp", "search", "slot", "script", "section", "select", "small", "source", "span", "strong", "style", "sub", "summary", "sup", "table", "template", "tbody", "td", "textarea", "tfoot", "th", "thead", "time", "title", "tr", "track", "u", "ul", "var", "video", "wbr", "webview", "svg", "animate", "animateMotion", "animateTransform", "circle", "defs", "desc", "ellipse", "feBlend", "feColorMatrix", "feComponentTransfer", "feComposite", "feConvolveMatrix", "feDiffuseLighting", "feDisplacementMap", "feDistantLight", "feDropShadow", "feFlood", "feFuncA", "feFuncB", "feFuncG", "feFuncR", "feGaussianBlur", "feImage", "feMerge", "feMergeNode", "feMorphology", "feOffset", "fePointLight", "feSpecularLighting", "feSpotLight", "feTile", "feTurbulence", "foreignObject", "g", "image", "line", "linearGradient", "metadata", "mpath", "path", "pattern", "polygon", "polyline", "radialGradient", "rect", "set", "stop", "switch", "text", "textPath", "tspan", "use", "view"]], open: bool, anchor_origin: Any, animation_duration: Union[int, float], auto_hide_duration: Any, color: Literal["primary", "neutral", "danger", "success", "warning"], disable_window_blur_listener: Any, end_decorator: Union[str, int, float, Any, bool], inverted_colors: bool, key: Any, on_close: Any, on_unmount: Any, resume_hide_duration: Any, size: Literal["sm", "md", "lg"], slot_props: Any, slots: Any, start_decorator: Union[str, int, float, Any, bool], sx: Any, variant: Literal["plain", "outlined", "soft", "solid"]):
    """"""
@stub_component(js.JoyUI.Stack, props_mapping)
def Stack(*children, about: Any, access_key: Any, align_content: Any, align_items: Any, align_self: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, bgcolor: Any, border: Any, border_bottom: Any, border_color: Any, border_left: Any, border_radius: Any, border_right: Any, border_top: Any, bottom: Any, box_shadow: Any, box_sizing: Any, class_name: Any, color: Any, column_gap: Any, content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, direction: Union[Any, Literal["row", "row-reverse", "column", "column-reverse"]], display: Any, display_print: Any, divider: Union[str, int, float, Any, bool], draggable: Any, enter_key_hint: Any, flex: Any, flex_basis: Any, flex_direction: Any, flex_grow: Any, flex_shrink: Any, flex_wrap: Any, font_family: Any, font_size: Any, font_style: Any, font_weight: Any, gap: Any, grid_area: Any, grid_auto_columns: Any, grid_auto_flow: Any, grid_auto_rows: Any, grid_column: Any, grid_row: Any, grid_template_areas: Any, grid_template_columns: Any, grid_template_rows: Any, height: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, justify_content: Any, justify_items: Any, justify_self: Any, key: Union[str, int], lang: Any, left: Any, letter_spacing: Any, line_height: Any, m: Any, margin: Any, margin_block: Any, margin_block_end: Any, margin_block_start: Any, margin_bottom: Any, margin_inline: Any, margin_inline_end: Any, margin_inline_start: Any, margin_left: Any, margin_right: Any, margin_top: Any, margin_x: Any, margin_y: Any, max_height: Any, max_width: Any, mb: Any, min_height: Any, min_width: Any, ml: Any, mr: Any, mt: Any, mx: Any, my: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, order: Any, overflow: Any, p: Any, padding: Any, padding_block: Any, padding_block_end: Any, padding_block_start: Any, padding_bottom: Any, padding_inline: Any, padding_inline_end: Any, padding_inline_start: Any, padding_left: Any, padding_right: Any, padding_top: Any, padding_x: Any, padding_y: Any, pb: Any, pl: Any, position: Any, pr: Any, prefix: Any, property: Any, pt: Any, px: Any, py: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, right: Any, role: Any, row_gap: Any, security: Any, slot: Any, slot_props: Any, slots: Any, spacing: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, text_align: Any, text_overflow: Any, text_transform: Any, title: Any, top: Any, translate: Any, typeof: Any, typography: Any, unselectable: Any, use_flex_gap: bool, visibility: Any, vocab: Any, white_space: Any, width: Any, z_index: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.Step, props_mapping)
def Step(*children, about: Any, access_key: Any, active: bool, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Any, completed: bool, content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, disabled: bool, draggable: Any, enter_key_hint: Any, hidden: Any, id: Any, indicator: Union[str, int, float, Any, bool], inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, orientation: Literal["horizontal", "vertical"], prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, value: Any, vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.StepButton, props_mapping)
def StepButton(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Any, content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, disabled: Any, draggable: Any, enter_key_hint: Any, form: Any, form_action: Any, form_enc_type: Any, form_method: Any, form_no_validate: Any, form_target: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, name: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, type: Any, typeof: Any, unselectable: Any, value: Any, vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.StepIndicator, props_mapping)
def StepIndicator(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Literal["primary", "neutral", "danger", "success", "warning"], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, draggable: Any, enter_key_hint: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.Stepper, props_mapping)
def Stepper(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Any, content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, draggable: Any, enter_key_hint: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, orientation: Literal["horizontal", "vertical"], prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, reversed: Any, role: Any, security: Any, size: Literal["sm", "md", "lg"], slot: Any, slot_props: Any, slots: Any, spell_check: Any, start: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, type: Any, typeof: Any, unselectable: Any, vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.StyledEngineProvider, props_mapping)
def StyledEngineProvider(*children, inject_first: bool, key: Union[str, int]):
    """"""
@stub_component(js.JoyUI.SvgIcon, props_mapping)
def SvgIcon(*children, accent_height: Any, accumulate: Any, additive: Any, alignment_baseline: Any, allow_reorder: Any, alphabetic: Any, amplitude: Any, arabic_form: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, ascent: Any, attribute_name: Any, attribute_type: Any, auto_reverse: Any, azimuth: Any, base_frequency: Any, baseline_shift: Any, base_profile: Any, bbox: Any, begin: Any, bias: Any, by: Any, calc_mode: Any, cap_height: Any, class_name: Any, clip: Any, clip_path: Any, clip_path_units: Any, clip_rule: Any, color: Literal["primary", "neutral", "danger", "success", "warning", "inherit"], color_interpolation: Any, color_interpolation_filters: Any, color_profile: Any, color_rendering: Any, content_script_type: Any, content_style_type: Any, cross_origin: Any, cursor: Any, cx: Any, cy: Any, d: Any, dangerously_set_inner_html: Any, decelerate: Any, descent: Any, diffuse_constant: Any, direction: Any, display: Any, divisor: Any, dominant_baseline: Any, dur: Any, dx: Any, dy: Any, edge_mode: Any, elevation: Any, enable_background: Any, end: Any, exponent: Any, external_resources_required: Any, fill: Any, fill_opacity: Any, fill_rule: Any, filter: Any, filter_res: Any, filter_units: Any, flood_color: Any, flood_opacity: Any, focusable: Any, font_family: Any, font_size: Literal["inherit", "xs", "sm", "md", "lg", "xl", "xl2", "xl3", "xl4"], font_size_adjust: Any, font_stretch: Any, font_style: Any, font_variant: Any, font_weight: Any, format: Any, fr: Any, from_: Any, fx: Any, fy: Any, g1: Any, g2: Any, glyph_name: Any, glyph_orientation_horizontal: Any, glyph_orientation_vertical: Any, glyph_ref: Any, gradient_transform: Any, gradient_units: Any, hanging: Any, height: Any, horiz_adv_x: Any, horiz_origin_x: Any, href: Any, html_color: str, id: Any, ideographic: Any, image_rendering: Any, in_: Any, in2: Any, inherit_view_box: bool, intercept: Any, k: Any, k1: Any, k2: Any, k3: Any, k4: Any, kernel_matrix: Any, kernel_unit_length: Any, kerning: Any, key: Union[str, int], key_points: Any, key_splines: Any, key_times: Any, lang: Any, length_adjust: Any, letter_spacing: Any, lighting_color: Any, limiting_cone_angle: Any, local: Any, marker_end: Any, marker_height: Any, marker_mid: Any, marker_start: Any, marker_units: Any, marker_width: Any, mask: Any, mask_content_units: Any, mask_units: Any, mathematical: Any, max: Any, media: Any, method: Any, min: Any, mode: Any, name: Any, num_octaves: Any, offset: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, opacity: Any, operator: Any, order: Any, orient: Any, orientation: Any, origin: Any, overflow: Any, overline_position: Any, overline_thickness: Any, paint_order: Any, panose1: Any, path: Any, path_length: Any, pattern_content_units: Any, pattern_transform: Any, pattern_units: Any, pointer_events: Any, points: Any, points_at_x: Any, points_at_y: Any, points_at_z: Any, preserve_alpha: Any, preserve_aspect_ratio: Any, primitive_units: Any, r: Any, radius: Any, ref: Any, ref_x: Any, ref_y: Any, rendering_intent: Any, repeat_count: Any, repeat_dur: Any, required_extensions: Any, required_features: Any, restart: Any, result: Any, role: Any, rotate: Any, rx: Any, ry: Any, scale: Any, seed: Any, shape_rendering: str, size: Literal["sm", "md", "lg"], slope: Any, slot_props: Any, slots: Any, spacing: Any, specular_constant: Any, specular_exponent: Any, speed: Any, spread_method: Any, start_offset: Any, std_deviation: Any, stemh: Any, stemv: Any, stitch_tiles: Any, stop_color: Any, stop_opacity: Any, strikethrough_position: Any, strikethrough_thickness: Any, string: Any, stroke: Any, stroke_dasharray: Any, stroke_dashoffset: Any, stroke_linecap: Any, stroke_linejoin: Any, stroke_miterlimit: Any, stroke_opacity: Any, stroke_width: Any, style: Any, suppress_hydration_warning: Any, surface_scale: Any, sx: Any, system_language: Any, tab_index: Any, table_values: Any, target: Any, target_x: Any, target_y: Any, text_anchor: Any, text_decoration: Any, text_length: Any, text_rendering: Any, title_access: str, to: Any, transform: Any, type: Any, u1: Any, u2: Any, underline_position: Any, underline_thickness: Any, unicode: Any, unicode_bidi: Any, unicode_range: Any, units_per_em: Any, v_alphabetic: Any, values: Any, vector_effect: Any, version: Any, vert_adv_y: Any, vert_origin_x: Any, vert_origin_y: Any, v_hanging: Any, v_ideographic: Any, view_box: str, view_target: Any, visibility: Any, v_mathematical: Any, width: Any, widths: Any, word_spacing: Any, writing_mode: Any, x: Any, x1: Any, x2: Any, x_channel_selector: Any, x_height: Any, xlink_actuate: Any, xlink_arcrole: Any, xlink_href: Any, xlink_role: Any, xlink_show: Any, xlink_title: Any, xlink_type: Any, xml_base: Any, xml_lang: Any, xmlns: Any, xmlns_xlink: Any, xml_space: Any, y: Any, y1: Any, y2: Any, y_channel_selector: Any, z: Any, zoom_and_pan: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.Switch, props_mapping)
def Switch(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, checked: bool, class_name: Any, color: Literal["primary", "neutral", "danger", "success", "warning"], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: bool, default_value: Any, dir: Any, disabled: bool, draggable: Any, end_decorator: Union[str, int, float, Any, bool], enter_key_hint: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_focus_visible: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, prefix: Any, property: Any, radio_group: Any, read_only: bool, ref: Any, rel: Any, required: bool, resource: Any, results: Any, rev: Any, role: Any, security: Any, size: Literal["sm", "md", "lg"], slot: Any, slot_props: Any, slots: Any, spell_check: Any, start_decorator: Union[str, int, float, Any, bool], style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.Tab, props_mapping)
def Tab(*children, about: Any, access_key: Any, action: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Literal["primary", "neutral", "danger", "success", "warning"], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, disabled: bool, disable_indicator: bool, draggable: Any, enter_key_hint: Any, form: Any, form_action: Any, form_enc_type: Any, form_method: Any, form_no_validate: Any, form_target: Any, hidden: Any, id: Any, indicator_inset: bool, indicator_placement: Literal["bottom", "left", "right", "top"], inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, name: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, orientation: Literal["horizontal", "vertical"], prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, type: Any, typeof: Any, unselectable: Any, value: Any, variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.Table, props_mapping)
def Table(*children, about: Any, access_key: Any, align: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, bgcolor: Any, border: Any, border_axis: Literal["x", "y", "none", "xBetween", "yBetween", "both", "bothBetween"], cell_padding: Any, cell_spacing: Any, class_name: Any, color: Literal["primary", "neutral", "danger", "success", "warning"], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, draggable: Any, enter_key_hint: Any, frame: Any, hidden: Any, hover_row: bool, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, nonce: Any, no_wrap: bool, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, rules: Any, security: Any, size: Literal["sm", "md", "lg"], slot: Any, slot_props: Any, slots: Any, spell_check: Any, sticky_footer: bool, sticky_header: bool, stripe: Union[Any, Literal["odd", "even"]], style: Any, summary: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, width: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.TabList, props_mapping)
def TabList(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Literal["primary", "neutral", "danger", "success", "warning"], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, disable_underline: bool, draggable: Any, enter_key_hint: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, size: Literal["sm", "md", "lg"], slot: Any, slot_props: Any, slots: Any, spell_check: Any, sticky: Literal["bottom", "top"], style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_flex: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, underline_placement: Literal["bottom", "left", "right", "top"], unselectable: Any, variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.TabPanel, props_mapping)
def TabPanel(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Literal["primary", "neutral", "danger", "success", "warning"], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, draggable: Any, enter_key_hint: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, keep_mounted: bool, key: Union[str, int], lang: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, size: Literal["sm", "md", "lg"], slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, value: Any, variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.Tabs, props_mapping)
def Tabs(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Literal["primary", "neutral", "danger", "success", "warning"], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, direction: Any, draggable: Any, enter_key_hint: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, orientation: Any, prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, selection_follows_focus: Any, size: Literal["sm", "md", "lg"], slot: Any, slot_props: Any, slots: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, value: Any, variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.Textarea, props_mapping)
def Textarea(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_complete: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, class_name: Any, color: Literal["primary", "neutral", "danger", "success", "warning"], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, disabled: Any, draggable: Any, end_decorator: Union[str, int, float, Any, bool], enter_key_hint: Any, error: bool, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, max_rows: Any, min_rows: Any, name: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, placeholder: Any, prefix: Any, property: Any, radio_group: Any, read_only: Any, ref: Any, rel: Any, required: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, size: Literal["sm", "md", "lg"], slot: Any, slot_props: Any, slots: Any, spell_check: Any, start_decorator: Union[str, int, float, Any, bool], style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, value: Any, variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.TextField, props_mapping)
def TextField(*children, key: Union[str, int]):
    """"""
@stub_component(js.JoyUI.ThemeProvider, props_mapping)
def ThemeProvider(*children, key: Union[str, int], theme: Any):
    """"""
@stub_component(js.JoyUI.ToggleButtonGroup, props_mapping)
def ToggleButtonGroup(*children, about: Any, access_key: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, button_flex: Any, class_name: Any, color: Literal["primary", "neutral", "danger", "success", "warning"], content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, disabled: bool, draggable: Any, enter_key_hint: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, key: Union[str, int], lang: Any, nonce: Any, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, orientation: Literal["horizontal", "vertical"], prefix: Any, property: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, role: Any, security: Any, size: Literal["sm", "md", "lg"], slot: Any, slot_props: Any, slots: Any, spacing: Any, spell_check: Any, style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, title: Any, translate: Any, typeof: Any, unselectable: Any, value: Any, variant: Literal["plain", "outlined", "soft", "solid"], vocab: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.Tooltip, props_mapping)
def Tooltip(*children, component: Union[Any, Literal["symbol", "object", "div", "a", "abbr", "address", "area", "article", "aside", "audio", "b", "base", "bdi", "bdo", "big", "blockquote", "body", "br", "button", "canvas", "caption", "center", "cite", "code", "col", "colgroup", "data", "datalist", "dd", "del", "details", "dfn", "dialog", "dl", "dt", "em", "embed", "fieldset", "figcaption", "figure", "footer", "form", "h1", "h2", "h3", "h4", "h5", "h6", "head", "header", "hgroup", "hr", "html", "i", "iframe", "img", "input", "ins", "kbd", "keygen", "label", "legend", "li", "link", "main", "map", "mark", "menu", "menuitem", "meta", "meter", "nav", "noindex", "noscript", "ol", "optgroup", "option", "output", "p", "param", "picture", "pre", "progress", "q", "rp", "rt", "ruby", "s", "samp", "search", "slot", "script", "section", "select", "small", "source", "span", "strong", "style", "sub", "summary", "sup", "table", "template", "tbody", "td", "textarea", "tfoot", "th", "thead", "time", "title", "tr", "track", "u", "ul", "var", "video", "wbr", "webview", "svg", "animate", "animateMotion", "animateTransform", "circle", "clipPath", "defs", "desc", "ellipse", "feBlend", "feColorMatrix", "feComponentTransfer", "feComposite", "feConvolveMatrix", "feDiffuseLighting", "feDisplacementMap", "feDistantLight", "feDropShadow", "feFlood", "feFuncA", "feFuncB", "feFuncG", "feFuncR", "feGaussianBlur", "feImage", "feMerge", "feMergeNode", "feMorphology", "feOffset", "fePointLight", "feSpecularLighting", "feSpotLight", "feTile", "feTurbulence", "filter", "foreignObject", "g", "image", "line", "linearGradient", "marker", "mask", "metadata", "mpath", "path", "pattern", "polygon", "polyline", "radialGradient", "rect", "set", "stop", "switch", "text", "textPath", "tspan", "use", "view"]], title: Union[str, int, float, Any, bool], arrow: bool, color: Literal["primary", "neutral", "danger", "success", "warning"], describe_child: bool, direction: Any, disable_focus_listener: bool, disable_hover_listener: bool, disable_interactive: bool, disable_portal: Any, disable_touch_listener: bool, enter_delay: Union[int, float], enter_next_delay: Union[int, float], enter_touch_delay: Union[int, float], follow_cursor: bool, id: str, keep_mounted: Any, key: Union[str, int], leave_delay: Union[int, float], leave_touch_delay: Union[int, float], modifiers: Any, on_close: Any, on_open: Any, open: bool, placement: Literal["bottom", "left", "right", "top", "bottom-end", "bottom-start", "left-end", "left-start", "right-end", "right-start", "top-end", "top-start"], size: Literal["sm", "md", "lg"], slot_props: Any, slots: Any, sx: Any, variant: Literal["plain", "outlined", "soft", "solid"]):
    """"""
@stub_component(js.JoyUI.Typography, props_mapping)
def Typography(*children, about: Any, access_key: Any, align_content: Any, align_items: Any, align_self: Any, aria_activedescendant: Any, aria_atomic: Any, aria_autocomplete: Any, aria_braillelabel: Any, aria_brailleroledescription: Any, aria_busy: Any, aria_checked: Any, aria_colcount: Any, aria_colindex: Any, aria_colindextext: Any, aria_colspan: Any, aria_controls: Any, aria_current: Any, aria_describedby: Any, aria_description: Any, aria_details: Any, aria_disabled: Any, aria_errormessage: Any, aria_expanded: Any, aria_flowto: Any, aria_haspopup: Any, aria_hidden: Any, aria_invalid: Any, aria_keyshortcuts: Any, aria_label: Any, aria_labelledby: Any, aria_level: Any, aria_live: Any, aria_modal: Any, aria_multiline: Any, aria_multiselectable: Any, aria_orientation: Any, aria_owns: Any, aria_placeholder: Any, aria_posinset: Any, aria_pressed: Any, aria_readonly: Any, aria_relevant: Any, aria_required: Any, aria_roledescription: Any, aria_rowcount: Any, aria_rowindex: Any, aria_rowindextext: Any, aria_rowspan: Any, aria_selected: Any, aria_setsize: Any, aria_sort: Any, aria_valuemax: Any, aria_valuemin: Any, aria_valuenow: Any, aria_valuetext: Any, auto_capitalize: Any, auto_correct: Any, auto_focus: Any, auto_save: Any, bgcolor: Any, border: Any, border_bottom: Any, border_color: Any, border_left: Any, border_radius: Any, border_right: Any, border_top: Any, bottom: Any, box_shadow: Any, box_sizing: Any, class_name: Any, color: Literal["primary", "neutral", "danger", "success", "warning"], column_gap: Any, content: Any, content_editable: Any, context_menu: Any, dangerously_set_inner_html: Any, datatype: Any, default_checked: Any, default_value: Any, dir: Any, display: Any, display_print: Any, draggable: Any, end_decorator: Union[str, int, float, Any, bool], enter_key_hint: Any, flex: Any, flex_basis: Any, flex_direction: Any, flex_grow: Any, flex_shrink: Any, flex_wrap: Any, font_family: Any, font_size: Any, font_style: Any, font_weight: Any, gap: Any, grid_area: Any, grid_auto_columns: Any, grid_auto_flow: Any, grid_auto_rows: Any, grid_column: Any, grid_row: Any, grid_template_areas: Any, grid_template_columns: Any, grid_template_rows: Any, gutter_bottom: bool, height: Any, hidden: Any, id: Any, inlist: Any, input_mode: Any, is_: Any, item_id: Any, item_prop: Any, item_ref: Any, item_scope: Any, item_type: Any, justify_content: Any, justify_items: Any, justify_self: Any, key: Union[str, int], lang: Any, left: Any, letter_spacing: Any, level: Literal["h1", "h2", "h3", "h4", "title-lg", "title-md", "title-sm", "body-lg", "body-md", "body-sm", "body-xs", "inherit"], level_mapping: Any, line_height: Any, m: Any, margin: Any, margin_block: Any, margin_block_end: Any, margin_block_start: Any, margin_bottom: Any, margin_inline: Any, margin_inline_end: Any, margin_inline_start: Any, margin_left: Any, margin_right: Any, margin_top: Any, margin_x: Any, margin_y: Any, max_height: Any, max_width: Any, mb: Any, min_height: Any, min_width: Any, ml: Any, mr: Any, mt: Any, mx: Any, my: Any, nonce: Any, no_wrap: bool, on_abort: Any, on_abort_capture: Any, on_animation_end: Any, on_animation_end_capture: Any, on_animation_iteration: Any, on_animation_iteration_capture: Any, on_animation_start: Any, on_animation_start_capture: Any, on_aux_click: Any, on_aux_click_capture: Any, on_before_input: Any, on_before_input_capture: Any, on_blur: Any, on_blur_capture: Any, on_can_play: Any, on_can_play_capture: Any, on_can_play_through: Any, on_can_play_through_capture: Any, on_change: Any, on_change_capture: Any, on_click: Any, on_click_capture: Any, on_composition_end: Any, on_composition_end_capture: Any, on_composition_start: Any, on_composition_start_capture: Any, on_composition_update: Any, on_composition_update_capture: Any, on_context_menu: Any, on_context_menu_capture: Any, on_copy: Any, on_copy_capture: Any, on_cut: Any, on_cut_capture: Any, on_double_click: Any, on_double_click_capture: Any, on_drag: Any, on_drag_capture: Any, on_drag_end: Any, on_drag_end_capture: Any, on_drag_enter: Any, on_drag_enter_capture: Any, on_drag_exit: Any, on_drag_exit_capture: Any, on_drag_leave: Any, on_drag_leave_capture: Any, on_drag_over: Any, on_drag_over_capture: Any, on_drag_start: Any, on_drag_start_capture: Any, on_drop: Any, on_drop_capture: Any, on_duration_change: Any, on_duration_change_capture: Any, on_emptied: Any, on_emptied_capture: Any, on_encrypted: Any, on_encrypted_capture: Any, on_ended: Any, on_ended_capture: Any, on_error: Any, on_error_capture: Any, on_focus: Any, on_focus_capture: Any, on_got_pointer_capture: Any, on_got_pointer_capture_capture: Any, on_input: Any, on_input_capture: Any, on_invalid: Any, on_invalid_capture: Any, on_key_down: Any, on_key_down_capture: Any, on_key_up: Any, on_key_up_capture: Any, on_load: Any, on_load_capture: Any, on_loaded_data: Any, on_loaded_data_capture: Any, on_loaded_metadata: Any, on_loaded_metadata_capture: Any, on_load_start: Any, on_load_start_capture: Any, on_lost_pointer_capture: Any, on_lost_pointer_capture_capture: Any, on_mouse_down: Any, on_mouse_down_capture: Any, on_mouse_enter: Any, on_mouse_leave: Any, on_mouse_move: Any, on_mouse_move_capture: Any, on_mouse_out: Any, on_mouse_out_capture: Any, on_mouse_over: Any, on_mouse_over_capture: Any, on_mouse_up: Any, on_mouse_up_capture: Any, on_paste: Any, on_paste_capture: Any, on_pause: Any, on_pause_capture: Any, on_play: Any, on_play_capture: Any, on_playing: Any, on_playing_capture: Any, on_pointer_cancel: Any, on_pointer_cancel_capture: Any, on_pointer_down: Any, on_pointer_down_capture: Any, on_pointer_enter: Any, on_pointer_leave: Any, on_pointer_move: Any, on_pointer_move_capture: Any, on_pointer_out: Any, on_pointer_out_capture: Any, on_pointer_over: Any, on_pointer_over_capture: Any, on_pointer_up: Any, on_pointer_up_capture: Any, on_progress: Any, on_progress_capture: Any, on_rate_change: Any, on_rate_change_capture: Any, on_reset: Any, on_reset_capture: Any, on_resize: Any, on_resize_capture: Any, on_scroll: Any, on_scroll_capture: Any, on_seeked: Any, on_seeked_capture: Any, on_seeking: Any, on_seeking_capture: Any, on_select: Any, on_select_capture: Any, on_stalled: Any, on_stalled_capture: Any, on_submit: Any, on_submit_capture: Any, on_suspend: Any, on_suspend_capture: Any, on_time_update: Any, on_time_update_capture: Any, on_touch_cancel: Any, on_touch_cancel_capture: Any, on_touch_end: Any, on_touch_end_capture: Any, on_touch_move: Any, on_touch_move_capture: Any, on_touch_start: Any, on_touch_start_capture: Any, on_transition_end: Any, on_transition_end_capture: Any, on_volume_change: Any, on_volume_change_capture: Any, on_waiting: Any, on_waiting_capture: Any, on_wheel: Any, on_wheel_capture: Any, order: Any, overflow: Any, p: Any, padding: Any, padding_block: Any, padding_block_end: Any, padding_block_start: Any, padding_bottom: Any, padding_inline: Any, padding_inline_end: Any, padding_inline_start: Any, padding_left: Any, padding_right: Any, padding_top: Any, padding_x: Any, padding_y: Any, pb: Any, pl: Any, position: Any, pr: Any, prefix: Any, property: Any, pt: Any, px: Any, py: Any, radio_group: Any, ref: Any, rel: Any, resource: Any, results: Any, rev: Any, right: Any, role: Any, row_gap: Any, security: Any, slot: Any, slot_props: Any, slots: Any, spell_check: Any, start_decorator: Union[str, int, float, Any, bool], style: Any, suppress_content_editable_warning: Any, suppress_hydration_warning: Any, sx: Any, tab_index: Any, text_align: Any, text_color: Union[Any, Literal["divider", "focusVisible", "background.body", "background.surface", "background.popup", "background.level1", "background.level2", "background.level3", "background.tooltip", "background.backdrop", "primary.50", "primary.100", "primary.200", "primary.300", "primary.400", "primary.500", "primary.600", "primary.700", "primary.800", "primary.900", "primary.mainChannel", "primary.lightChannel", "primary.darkChannel", "primary.plainColor", "primary.plainHoverBg", "primary.plainActiveBg", "primary.plainDisabledColor", "primary.outlinedColor", "primary.outlinedBorder", "primary.outlinedHoverBg", "primary.outlinedHoverBorder", "primary.outlinedActiveBg", "primary.outlinedDisabledColor", "primary.outlinedDisabledBorder", "primary.softColor", "primary.softBg", "primary.softHoverBg", "primary.softActiveBg", "primary.softDisabledColor", "primary.softDisabledBg", "primary.solidColor", "primary.solidBg", "primary.solidHoverBg", "primary.solidActiveBg", "primary.solidDisabledColor", "primary.solidDisabledBg", "neutral.50", "neutral.100", "neutral.200", "neutral.300", "neutral.400", "neutral.500", "neutral.600", "neutral.700", "neutral.800", "neutral.900", "neutral.mainChannel", "neutral.lightChannel", "neutral.darkChannel", "neutral.plainColor", "neutral.plainHoverBg", "neutral.plainActiveBg", "neutral.plainDisabledColor", "neutral.outlinedColor", "neutral.outlinedBorder", "neutral.outlinedHoverBg", "neutral.outlinedHoverBorder", "neutral.outlinedActiveBg", "neutral.outlinedDisabledColor", "neutral.outlinedDisabledBorder", "neutral.softColor", "neutral.softBg", "neutral.softHoverBg", "neutral.softActiveBg", "neutral.softDisabledColor", "neutral.softDisabledBg", "neutral.solidColor", "neutral.solidBg", "neutral.solidHoverBg", "neutral.solidActiveBg", "neutral.solidDisabledColor", "neutral.solidDisabledBg", "neutral.plainHoverColor", "neutral.outlinedHoverColor", "neutral.softHoverColor", "danger.50", "danger.100", "danger.200", "danger.300", "danger.400", "danger.500", "danger.600", "danger.700", "danger.800", "danger.900", "danger.mainChannel", "danger.lightChannel", "danger.darkChannel", "danger.plainColor", "danger.plainHoverBg", "danger.plainActiveBg", "danger.plainDisabledColor", "danger.outlinedColor", "danger.outlinedBorder", "danger.outlinedHoverBg", "danger.outlinedHoverBorder", "danger.outlinedActiveBg", "danger.outlinedDisabledColor", "danger.outlinedDisabledBorder", "danger.softColor", "danger.softBg", "danger.softHoverBg", "danger.softActiveBg", "danger.softDisabledColor", "danger.softDisabledBg", "danger.solidColor", "danger.solidBg", "danger.solidHoverBg", "danger.solidActiveBg", "danger.solidDisabledColor", "danger.solidDisabledBg", "success.50", "success.100", "success.200", "success.300", "success.400", "success.500", "success.600", "success.700", "success.800", "success.900", "success.mainChannel", "success.lightChannel", "success.darkChannel", "success.plainColor", "success.plainHoverBg", "success.plainActiveBg", "success.plainDisabledColor", "success.outlinedColor", "success.outlinedBorder", "success.outlinedHoverBg", "success.outlinedHoverBorder", "success.outlinedActiveBg", "success.outlinedDisabledColor", "success.outlinedDisabledBorder", "success.softColor", "success.softBg", "success.softHoverBg", "success.softActiveBg", "success.softDisabledColor", "success.softDisabledBg", "success.solidColor", "success.solidBg", "success.solidHoverBg", "success.solidActiveBg", "success.solidDisabledColor", "success.solidDisabledBg", "warning.50", "warning.100", "warning.200", "warning.300", "warning.400", "warning.500", "warning.600", "warning.700", "warning.800", "warning.900", "warning.mainChannel", "warning.lightChannel", "warning.darkChannel", "warning.plainColor", "warning.plainHoverBg", "warning.plainActiveBg", "warning.plainDisabledColor", "warning.outlinedColor", "warning.outlinedBorder", "warning.outlinedHoverBg", "warning.outlinedHoverBorder", "warning.outlinedActiveBg", "warning.outlinedDisabledColor", "warning.outlinedDisabledBorder", "warning.softColor", "warning.softBg", "warning.softHoverBg", "warning.softActiveBg", "warning.softDisabledColor", "warning.softDisabledBg", "warning.solidColor", "warning.solidBg", "warning.solidHoverBg", "warning.solidActiveBg", "warning.solidDisabledColor", "warning.solidDisabledBg", "common.white", "common.black", "text.primary", "text.secondary", "text.tertiary", "text.icon"]], text_overflow: Any, text_transform: Any, title: Any, top: Any, translate: Any, typeof: Any, typography: Any, unselectable: Any, variant: Literal["plain", "outlined", "soft", "solid"], visibility: Any, vocab: Any, white_space: Any, width: Any, z_index: Any, aria_dropeffect: Any, aria_grabbed: Any, on_key_press: Any, on_key_press_capture: Any):
    """"""
@stub_component(js.JoyUI.useThemeProps, props_mapping)
def useThemeProps(*children, name: str, props: Any, key: Union[str, int]):
    """"""
@stub_component(js.JoyUI.getInitColorSchemeScript, props_mapping)
def getInitColorSchemeScript(*children, attribute: str, color_scheme_node: str, color_scheme_storage_key: str, default_dark_color_scheme: str, default_light_color_scheme: str, default_mode: Literal["light", "dark", "system"], key: Union[str, int], mode_storage_key: str, nonce: str):
    """"""


@marshal_as(js.JoyUI.createFilterOptions)
def create_filter_options(config: Any=None):
    """"""

@marshal_as(js.JoyUI.createGetCssVar)
def create_get_css_var(css_var_prefix: str=None):
    """"""

@marshal_as(js.JoyUI.extendTheme)
def extend_theme(theme_options: Any=None):
    """"""

@marshal_as(js.JoyUI.getAccordionDetailsUtilityClass)
def get_accordion_details_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getAccordionGroupUtilityClass)
def get_accordion_group_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getAccordionSummaryUtilityClass)
def get_accordion_summary_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getAccordionUtilityClass)
def get_accordion_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getAlertUtilityClass)
def get_alert_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getAspectRatioUtilityClass)
def get_aspect_ratio_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getAutocompleteListboxUtilityClass)
def get_autocomplete_listbox_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getAutocompleteOptionUtilityClass)
def get_autocomplete_option_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getAutocompleteUtilityClass)
def get_autocomplete_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getAvatarGroupUtilityClass)
def get_avatar_group_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getAvatarUtilityClass)
def get_avatar_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getBadgeUtilityClass)
def get_badge_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getBreadcrumbsUtilityClass)
def get_breadcrumbs_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getButtonGroupUtilityClass)
def get_button_group_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getButtonUtilityClass)
def get_button_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getCardActionsUtilityClass)
def get_card_actions_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getCardContentUtilityClass)
def get_card_content_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getCardCoverUtilityClass)
def get_card_cover_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getCardOverflowUtilityClass)
def get_card_overflow_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getCardUtilityClass)
def get_card_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getCheckboxUtilityClass)
def get_checkbox_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getChipDeleteUtilityClass)
def get_chip_delete_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getChipUtilityClass)
def get_chip_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getCircularProgressUtilityClass)
def get_circular_progress_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getContainerUtilityClass)
def get_container_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getDialogActionsUtilityClass)
def get_dialog_actions_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getDialogContentUtilityClass)
def get_dialog_content_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getDialogTitleUtilityClass)
def get_dialog_title_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getDividerUtilityClass)
def get_divider_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getDrawerUtilityClass)
def get_drawer_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getFormControlUtilityClass)
def get_form_control_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getFormHelperTextUtilityClass)
def get_form_helper_text_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getFormLabelUtilityClass)
def get_form_label_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getGridUtilityClass)
def get_grid_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getIconButtonUtilityClass)
def get_icon_button_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getInputUtilityClass)
def get_input_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getLinearProgressUtilityClass)
def get_linear_progress_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getLinkUtilityClass)
def get_link_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getListDividerUtilityClass)
def get_list_divider_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getListItemButtonUtilityClass)
def get_list_item_button_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getListItemContentUtilityClass)
def get_list_item_content_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getListItemDecoratorUtilityClass)
def get_list_item_decorator_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getListItemUtilityClass)
def get_list_item_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getListSubheaderUtilityClass)
def get_list_subheader_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getListUtilityClass)
def get_list_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getMenuButtonUtilityClass)
def get_menu_button_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getMenuItemUtilityClass)
def get_menu_item_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getMenuListUtilityClass)
def get_menu_list_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getMenuUtilityClass)
def get_menu_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getModalCloseUtilityClass)
def get_modal_close_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getModalDialogUtilityClass)
def get_modal_dialog_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getModalOverflowUtilityClass)
def get_modal_overflow_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getModalUtilityClass)
def get_modal_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getOptionUtilityClass)
def get_option_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getRadioGroupUtilityClass)
def get_radio_group_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getRadioUtilityClass)
def get_radio_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getScopedCssBaselineUtilityClass)
def get_scoped_css_baseline_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getSelectUtilityClass)
def get_select_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getSheetUtilityClass)
def get_sheet_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getSkeletonUtilityClass)
def get_skeleton_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getSliderUtilityClass)
def get_slider_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getSnackbarUtilityClass)
def get_snackbar_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getStackUtilityClass)
def get_stack_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getStepButtonUtilityClass)
def get_step_button_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getStepIndicatorUtilityClass)
def get_step_indicator_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getStepperUtilityClass)
def get_stepper_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getStepUtilityClass)
def get_step_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getSvgIconUtilityClass)
def get_svg_icon_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getSwitchUtilityClass)
def get_switch_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getTableUtilityClass)
def get_table_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getTabListUtilityClass)
def get_tab_list_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getTabPanelUtilityClass)
def get_tab_panel_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getTabsUtilityClass)
def get_tabs_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getTabUtilityClass)
def get_tab_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getTextareaUtilityClass)
def get_textarea_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getToggleButtonGroupUtilityClass)
def get_toggle_button_group_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getTooltipUtilityClass)
def get_tooltip_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.getTypographyUtilityClass)
def get_typography_utility_class(slot: str=None):
    """"""

@marshal_as(js.JoyUI.styled)
def styled(component: Any=None, options: Any=None):
    """"""

@marshal_as(js.JoyUI.useColorScheme)
def use_color_scheme():
    """"""

@marshal_as(js.JoyUI.useTheme)
def use_theme():
    """"""
